%--------------------------------------------------------------------------
% File     : BOO039-1 : TPTP v3.3.0. Released v2.5.0.
% Domain   : Boolean Algebra
% Problem  : Sh-1 is a single axiom for Boolean algebra
% Version  : [EF+02] axioms.
% English  : Show that equation Sh-1 is a single axiom for Boolean algebra in
%            terms of the Sheffer stroke by deriving the Meredith 2-basis.

% Refs     : [EF+02] Ernst et al. (2002), More First-order Test Problems in
%          : [MV+02] McCune et al. (2002), Short Single Axioms for Boolean
% Source   : [EF+02]
% Names    : sheffer-sh1 [EF+02]

% Status   : Unsatisfiable
% Rating   : 0.83 v3.3.0, 0.78 v3.1.0, 1.00 v2.6.0, 0.80 v2.5.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :    3 (   1 singleton)
%            Maximal term depth    :    5 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
%----Sh-1
cnf(sh_1,axiom,
    ( nand(nand(A,nand(nand(B,A),A)),nand(B,nand(C,A))) = B )).

%----Denial of Meredith 2-basis
cnf(prove_meredith_2_basis,negated_conjecture,
    ( nand(nand(a,a),nand(b,a)) != a
    | nand(a,nand(b,nand(a,c))) != nand(nand(nand(c,b),b),a) )).

%--------------------------------------------------------------------------
