%--------------------------------------------------------------------------
% File     : COL002-5 : TPTP v3.3.0. Bugfixed v3.1.0.
% Domain   : Combinatory Logic
% Problem  : Weak fixed point for S, B, C, and I
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The weak fixed point property holds for the set P consisting 
%            of the combinators S, B, C, and I, where ((Sx)y)z = (xz)(yz), 
%            ((Bx)y)z = x(yz), ((Cx)y)z = (xz)y, and Ix = x.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.12 v3.3.0, 0.43 v3.1.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   6 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   11 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : This is the one found in proof 3 of C1.1 in [WM88].
% Bugfixes : Fixed clauses weak_fixed_point and prove_weak_fixed_point.
%--------------------------------------------------------------------------
cnf(s_definition,axiom,
    ( apply(apply(apply(s,X),Y),Z) = apply(apply(X,Z),apply(Y,Z)) )).

cnf(b_definition,axiom,
    ( apply(apply(apply(b,X),Y),Z) = apply(X,apply(Y,Z)) )).

cnf(c_definition,axiom,
    ( apply(apply(apply(c,X),Y),Z) = apply(apply(X,Z),Y) )).

cnf(i_definition,axiom,
    ( apply(i,X) = X )).

cnf(weak_fixed_point,axiom,
    ( weak_fixed_point(X) = apply(apply(apply(s,apply(c,apply(b,X))),apply(s,apply(c,apply(b,X)))),apply(s,apply(c,apply(b,X)))) )).

cnf(prove_weak_fixed_point,negated_conjecture,
    (  weak_fixed_point(fixed_pt) != apply(fixed_pt,weak_fixed_point(fixed_pt)) )).

%--------------------------------------------------------------------------
