%--------------------------------------------------------------------------
% File     : COL060-3 : TPTP v3.3.0. Bugfixed v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Find combinator equivalent to Q from B and T
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The combinator is provided and checked.
% English  : Construct from B and T alone a combinator that behaves as the 
%            combinator Q does, where ((Bx)y)z = x(yz), (Tx)y = yx, 
%            ((Qx)y)z = y(xz).

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [WW+90] Wos et al. (1990), Automated Reasoning Contributes to 
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.12 v3.3.0, 0.00 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :    5 (   0 singleton)
%            Maximal term depth    :    9 (   4 average)

% Comments : 
% Bugfixes : v1.2.0 : Redundant [fgh]_substitution axioms removed.
%--------------------------------------------------------------------------
cnf(b_definition,axiom,
    ( apply(apply(apply(b,X),Y),Z) = apply(X,apply(Y,Z)) )).

cnf(t_definition,axiom,
    ( apply(apply(t,X),Y) = apply(Y,X) )).

%----This is the q equivalent
cnf(prove_q_combinator,negated_conjecture,
    (  apply(apply(apply(apply(apply(b,apply(apply(b,apply(t,b)),b)),t),x),y),z) != apply(y,apply(x,z)) )).

%--------------------------------------------------------------------------
