%------------------------------------------------------------------------------
% File     : COM007+2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Computing Theory
% Problem  : Preservation of the Diamond Property under reflexive closure
% Version  : Especial.
% English  : 

% Refs     : [Bez05] Bezem (2005), Email to Geoff Sutcliffe
% Source   : [Bez05]
% Names    : dpe [Bez05]

% Status   : Theorem
% Rating   : 0.08 v3.3.0, 0.00 v3.2.0

% Syntax   : Number of formulae    :    7 (   1 unit)
%            Number of atoms       :   17 (   2 equality)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   10 (   0 ~  ;   1  |;   4  &)
%                                         (   0 <=>;   5 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   1 propositional; 0-2 arity)
%            Number of functors    :    3 (   3 constant; 0-0 arity)
%            Number of variables   :   11 (   0 singleton;  10 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
fof(assumption,axiom,
    ( reflexive_rewrite(a,b)
    & reflexive_rewrite(a,c) )).

fof(goal_ax,axiom,(
    ! [A] : 
      ( ( reflexive_rewrite(b,A)
        & reflexive_rewrite(c,A) )
     => goal ) )).

fof(equal_in_reflexive_rewrite,axiom,(
    ! [A,B] : 
      ( A = B
     => reflexive_rewrite(A,B) ) )).

fof(rewrite_in_reflexive_rewrite,axiom,(
    ! [A,B] : 
      ( rewrite(A,B)
     => reflexive_rewrite(A,B) ) )).

fof(equal_or_rewrite,axiom,(
    ! [A,B] : 
      ( reflexive_rewrite(A,B)
     => ( A = B
        | rewrite(A,B) ) ) )).

fof(rewrite_diamond,axiom,(
    ! [A,B,C] : 
      ( ( rewrite(A,B)
        & rewrite(A,C) )
     => ? [D] : 
          ( rewrite(B,D)
          & rewrite(C,D) ) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

%------------------------------------------------------------------------------
