%------------------------------------------------------------------------------
% File     : COM008+2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Computing Theory
% Problem  : Induction step in Newman's Lemma
% Version  : Especial.
% English  : 

% Refs     : [Bez05] Bezem (2005), Email to Geoff Sutcliffe
% Source   : [Bez05]
% Names    : nl [Bez05]

% Status   : Theorem
% Rating   : 0.58 v3.3.0, 0.67 v3.2.0

% Syntax   : Number of formulae    :    9 (   1 unit)
%            Number of atoms       :   26 (   2 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :   17 (   0 ~  ;   1  |;   9  &)
%                                         (   0 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   1 propositional; 0-2 arity)
%            Number of functors    :    3 (   3 constant; 0-0 arity)
%            Number of variables   :   19 (   0 singleton;  16 !;   3 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
fof(found,axiom,(
    ! [A] : 
      ( ( transitive_reflexive_rewrite(b,A)
        & transitive_reflexive_rewrite(c,A) )
     => goal ) )).

fof(assumption,axiom,
    ( transitive_reflexive_rewrite(a,b)
    & transitive_reflexive_rewrite(a,c) )).

fof(equality_in_transitive_reflexive_rewrite,axiom,(
    ! [A,B] : 
      ( A = B
     => transitive_reflexive_rewrite(A,B) ) )).

fof(rewrite_in_transitive_reflexive_rewrite,axiom,(
    ! [A,B] : 
      ( rewrite(A,B)
     => transitive_reflexive_rewrite(A,B) ) )).

fof(transitivity_of_transitive_reflexive_rewrite,axiom,(
    ! [A,B,C] : 
      ( ( transitive_reflexive_rewrite(A,B)
        & transitive_reflexive_rewrite(B,C) )
     => transitive_reflexive_rewrite(A,C) ) )).

fof(lo_cfl,axiom,(
    ! [A,B,C] : 
      ( ( rewrite(A,B)
        & rewrite(A,C) )
     => ? [D] : 
          ( transitive_reflexive_rewrite(B,D)
          & transitive_reflexive_rewrite(C,D) ) ) )).

fof(ih_cfl,axiom,(
    ! [A,B,C] : 
      ( ( rewrite(a,A)
        & transitive_reflexive_rewrite(A,B)
        & transitive_reflexive_rewrite(A,C) )
     => ? [D] : 
          ( transitive_reflexive_rewrite(B,D)
          & transitive_reflexive_rewrite(C,D) ) ) )).

fof(equal_or_rewrite,axiom,(
    ! [A,B] : 
      ( transitive_reflexive_rewrite(A,B)
     => ( A = B
        | ? [C] : 
            ( rewrite(A,C)
            & transitive_reflexive_rewrite(C,B) ) ) ) )).

fof(goal_to_be_proved,conjecture,(
    goal )).

%------------------------------------------------------------------------------
