%--------------------------------------------------------------------------
% File     : FLD012-3 : TPTP v3.3.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Compatibility of operation and inverse in multiplicative group
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with re axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.75 v3.3.0, 0.67 v3.1.0, 0.83 v2.7.0, 1.00 v2.1.0
% Syntax   : Number of clauses     :   31 (   3 non-Horn;   8 unit;  31 RR)
%            Number of atoms       :   82 (   0 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 1-3 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD002-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD002-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(b_is_defined,hypothesis,
    ( defined(b) )).

cnf(not_sum_3,negated_conjecture,
    ( ~ sum(additive_identity,a,additive_identity) )).

cnf(not_sum_4,negated_conjecture,
    ( ~ sum(additive_identity,b,additive_identity) )).

cnf(not_product_5,negated_conjecture,
    ( ~ product(multiplicative_identity,multiplicative_inverse(multiply(a,b)),multiply(multiplicative_inverse(a),multiplicative_inverse(b))) )).

%--------------------------------------------------------------------------
