%--------------------------------------------------------------------------
% File     : FLD031-1 : TPTP v3.3.0. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : If a is one, then the multiplicative inverse of a is also one
% Version  : [Dra93] axioms : Especial.
%            Theorem formulation : Functional with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.25 v3.3.0, 0.33 v2.7.0, 0.12 v2.6.0, 0.33 v2.5.0, 0.00 v2.4.0, 0.20 v2.3.0, 0.33 v2.2.1, 0.33 v2.1.0
% Syntax   : Number of clauses     :   31 (   3 non-Horn;   7 unit;  31 RR)
%            Number of atoms       :   77 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    7 (   3 constant; 0-2 arity)
%            Number of variables   :   50 (   0 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
cnf(a_is_defined,hypothesis,
    ( defined(a) )).

cnf(a_equals_multiplicative_identity_2,negated_conjecture,
    ( equalish(a,multiplicative_identity) )).

cnf(a_not_equal_to_additive_identity_3,negated_conjecture,
    ( ~ equalish(a,additive_identity) )).

cnf(multiplicative_inverses_not_equal,negated_conjecture,
    ( ~ equalish(multiplicative_inverse(a),multiplicative_identity) )).

%--------------------------------------------------------------------------
