%--------------------------------------------------------------------------
% File     : GEO003-1 : TPTP v3.3.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : For all points x and y, y is between x and y
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T3 [MOW76]
%          : t3.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.08 v3.3.0, 0.14 v3.2.0, 0.08 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.5.0
% Syntax   : Number of clauses     :   21 (   6 non-Horn;   7 unit;  18 RR)
%            Number of atoms       :   65 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   10 (   5 constant; 0-6 arity)
%            Number of variables   :   79 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
%--------------------------------------------------------------------------
cnf(prove_b_between_a_and_b,negated_conjecture,
    ( ~ between(a,b,b) )).

%--------------------------------------------------------------------------
