%--------------------------------------------------------------------------
% File     : GEO010-1 : TPTP v3.3.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : Collinearity is invariant
% Version  : [MOW76] axioms.
% English  : For all points x, y, and z, if x, y, and z are collinear 
%            in one order, they are collinear in any order.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T10 [MOW76]
%          : t10.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.58 v3.3.0, 0.50 v3.2.0, 0.62 v3.1.0, 0.45 v2.7.0, 0.50 v2.5.0
% Syntax   : Number of clauses     :   26 (   7 non-Horn;   7 unit;  23 RR)
%            Number of atoms       :   80 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 2-4 arity)
%            Number of functors    :   11 (   6 constant; 0-6 arity)
%            Number of variables   :   91 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO001-1.ax').
%--------------------------------------------------------------------------
cnf(abc_colinear,hypothesis,
    ( colinear(a,b,c) )).

cnf(prove_colinear_in_all_orders,negated_conjecture,
    ( ~ colinear(a,c,b)
    | ~ colinear(b,a,c)
    | ~ colinear(b,c,a)
    | ~ colinear(c,a,b)
    | ~ colinear(c,b,a) )).

%--------------------------------------------------------------------------
