%--------------------------------------------------------------------------
% File     : GEO011-1 : TPTP v3.3.0. Bugfixed v2.5.0.
% Domain   : Geometry
% Problem  : The axiom set points are not collinear
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T11 [MOW76]
%          : t11.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.3.0, 0.36 v3.2.0, 0.46 v3.1.0, 0.27 v2.7.0, 0.25 v2.6.0, 0.38 v2.5.0
% Syntax   : Number of clauses     :   25 (   7 non-Horn;   7 unit;  22 RR)
%            Number of atoms       :   75 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    4 (   0 propositional; 2-4 arity)
%            Number of functors    :    8 (   3 constant; 0-6 arity)
%            Number of variables   :   91 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%          : v2.5.0 - Bug in GEO001-0.ax fixed.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
%----Include Tarski geometry axioms for colinearity 
include('Axioms/GEO001-1.ax').
%--------------------------------------------------------------------------
cnf(prove_lower_dimension_points_not_colinear,negated_conjecture,
    ( colinear(lower_dimension_point_1,lower_dimension_point_2,lower_dimension_point_3) )).

%--------------------------------------------------------------------------
