%--------------------------------------------------------------------------
% File     : GEO034-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Corollary to the first inner five-segment theorem
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 1.00 v3.1.0, 0.91 v2.7.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   22 (   5 non-Horn;  10 unit;  19 RR)
%            Number of atoms       :   60 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Proving corollaries from axioms is not usual.
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(u_to_v_equals_u_to_x,hypothesis,
    ( equidistant(u,v,u,x) )).

cnf(w_to_v_equals_w_to_x,hypothesis,
    ( equidistant(w,v,w,x) )).

cnf(prove_v_is_x,negated_conjecture,
    (  v != x )).

%--------------------------------------------------------------------------
