%--------------------------------------------------------------------------
% File     : GEO045-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Geometry
% Problem  : Second outer transitivity property of betweenness
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.83 v3.3.0, 0.86 v3.2.0, 0.85 v3.1.0, 0.82 v2.7.0, 0.92 v2.6.0, 0.90 v2.5.0, 0.83 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   22 (   5 non-Horn;  10 unit;  19 RR)
%            Number of atoms       :   60 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(w_between_v_and_x,hypothesis,
    ( between(v,w,x) )).

cnf(v_not_w,hypothesis,
    (  v != w )).

cnf(prove_v_between_u_and_x,negated_conjecture,
    ( ~ between(u,v,x) )).

%--------------------------------------------------------------------------
