%--------------------------------------------------------------------------
% File     : GEO077-4 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Geometry (Hilbert)
% Problem  : Three points not collinear if not on line
% Version  : [Ben92] axioms.
% English  : 

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
% Source   : [Ben92]
% Names    : G11A [Ben92]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.07 v3.2.0, 0.08 v3.1.0, 0.09 v2.7.0, 0.17 v2.6.0, 0.00 v2.5.0, 0.17 v2.4.0, 0.11 v2.3.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.22 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses     :   42 (  18 non-Horn;  12 unit;  42 RR)
%            Number of atoms       :  185 (  46 equality)
%            Maximal clause size   :   16 (   4 average)
%            Number of predicates  :    6 (   0 propositional; 1-3 arity)
%            Number of functors    :   14 (   5 constant; 0-3 arity)
%            Number of variables   :   70 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms for Hilbert geometry 
include('Axioms/GEO003-0.ax').
%--------------------------------------------------------------------------
cnf(point1,hypothesis,
    ( point(point1) )).

cnf(point2,hypothesis,
    ( point(point2) )).

cnf(point3,hypothesis,
    ( point(point3) )).

cnf(line,hypothesis,
    ( line(a_line) )).

cnf(point1_on_line,hypothesis,
    ( on(point1,a_line) )).

cnf(point2_on_line,hypothesis,
    ( on(point2,a_line) )).

cnf(point3_not_on_line,hypothesis,
    ( ~ on(point3,a_line) )).

cnf(point1_not_point2,hypothesis,
    (  point1 != point2 )).

cnf(point1_not_point3,hypothesis,
    (  point1 != point3 )).

cnf(point2_not_point3,hypothesis,
    (  point2 != point3 )).

cnf(prove_points_noncollinear,negated_conjecture,
    ( collinear(point1,point2,point3) )).

%--------------------------------------------------------------------------
