%--------------------------------------------------------------------------
% File     : GEO078-6 : TPTP v3.3.0. Released v2.7.0.
% Domain   : Geometry (Hilbert)
% Problem  : Every plane contains 3 noncollinear points
% Version  : [Cla03] axioms.
% English  :

% Refs     : [Ben92] Benanav (1992), Recognising Unnecessary Clauses in Res
%          : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : Satisfiable
% Rating   : 0.50 v3.3.0, 0.33 v3.2.0, 0.80 v3.1.0, 0.67 v2.7.0
% Syntax   : Number of clauses     :   33 (  19 non-Horn;   2 unit;  33 RR)
%            Number of atoms       :  185 (  46 equality)
%            Maximal clause size   :   16 (   6 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   11 (   2 constant; 0-3 arity)
%            Number of variables   :   73 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms for Hilbert geometry
include('Axioms/GEO005-0.ax').
%--------------------------------------------------------------------------
cnf(there_is_a_plane,hypothesis,
    ( plane(a_plane) )).

cnf(prove_every_plane_contains_3_noncollinear_points,negated_conjecture,
    ( collinear(X1,X2,X3)
    | ~ point(X1)
    | ~ point(X2)
    | ~ point(X3)
    | X1 = X2
    | X1 = X3
    | X2 = X3
    | ~ point_on_plane(X1,a_plane)
    | ~ point_on_plane(X2,a_plane)
    | ~ point_on_plane(X3,a_plane) )).

%--------------------------------------------------------------------------
