%--------------------------------------------------------------------------
% File     : GEO096-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Endpoints of curves are endpoints of sum
% Version  : [EHK99] axioms.
% English  : If two curves meet, than the endpoints of the sum are exactly 
%            those endpoints of the two curves that are not meeting-points 
%            of them.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :   58 (  24 non-Horn;   2 unit;  53 RR)
%            Number of atoms       :  182 (  21 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    8 (   0 propositional; 1-3 arity)
%            Number of functors    :   18 (   4 constant; 0-3 arity)
%            Number of variables   :  126 (  10 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO096+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%--------------------------------------------------------------------------
cnf(proposition_2_14_5_67,negated_conjecture,
    ( meet(sk16,sk14,sk15) )).

cnf(proposition_2_14_5_68,negated_conjecture,
    ( end_point(sk17,sum(sk14,sk15))
    | ~ meet(sk17,sk14,sk15) )).

cnf(proposition_2_14_5_69,negated_conjecture,
    ( end_point(sk17,sum(sk14,sk15))
    | end_point(sk17,sk14)
    | end_point(sk17,sk15) )).

cnf(proposition_2_14_5_70,negated_conjecture,
    ( end_point(sk17,sum(sk14,sk15))
    | ~ end_point(sk17,sum(sk14,sk15)) )).

cnf(proposition_2_14_5_71,negated_conjecture,
    ( meet(sk17,sk14,sk15)
    | ~ end_point(sk17,sk14)
    | ~ meet(sk17,sk14,sk15) )).

cnf(proposition_2_14_5_72,negated_conjecture,
    ( meet(sk17,sk14,sk15)
    | ~ end_point(sk17,sk14)
    | end_point(sk17,sk14)
    | end_point(sk17,sk15) )).

cnf(proposition_2_14_5_73,negated_conjecture,
    ( meet(sk17,sk14,sk15)
    | ~ end_point(sk17,sk15)
    | ~ meet(sk17,sk14,sk15) )).

cnf(proposition_2_14_5_74,negated_conjecture,
    ( meet(sk17,sk14,sk15)
    | ~ end_point(sk17,sk15)
    | end_point(sk17,sk14)
    | end_point(sk17,sk15) )).

cnf(proposition_2_14_5_75,negated_conjecture,
    ( meet(sk17,sk14,sk15)
    | ~ end_point(sk17,sk14)
    | ~ end_point(sk17,sum(sk14,sk15)) )).

cnf(proposition_2_14_5_76,negated_conjecture,
    ( meet(sk17,sk14,sk15)
    | ~ end_point(sk17,sk15)
    | ~ end_point(sk17,sum(sk14,sk15)) )).

%--------------------------------------------------------------------------
