%--------------------------------------------------------------------------
% File     : GEO110-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Betweenness for closed curves
% Version  : [EHK99] axioms.
% English  :

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :   62 (  22 non-Horn;   9 unit;  57 RR)
%            Number of atoms       :  178 (  26 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :    9 (   0 propositional; 1-4 arity)
%            Number of functors    :   19 (   4 constant; 0-4 arity)
%            Number of variables   :  151 (  12 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO110+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%--------------------------------------------------------------------------
cnf(theorem_3_7_77,negated_conjecture,
    ( closed(sk15) )).

cnf(theorem_3_7_78,negated_conjecture,
    (  sk16 != sk17 )).

cnf(theorem_3_7_79,negated_conjecture,
    (  sk17 != sk18 )).

cnf(theorem_3_7_80,negated_conjecture,
    (  sk16 != sk18 )).

cnf(theorem_3_7_81,negated_conjecture,
    ( incident_c(sk16,sk15) )).

cnf(theorem_3_7_82,negated_conjecture,
    ( incident_c(sk17,sk15) )).

cnf(theorem_3_7_83,negated_conjecture,
    ( incident_c(sk18,sk15) )).

cnf(theorem_3_7_84,negated_conjecture,
    ( ~ between_c(sk15,sk16,sk17,sk18) )).

%--------------------------------------------------------------------------
