%--------------------------------------------------------------------------
% File     : GEO128-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Precedence of three points, of whoich two are ordered
% Version  : [EHK99] axioms.
% English  : If P precedes Q with respect to o, then any point R on o 
%            precedes Q or is preceded by P.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :  100 (  42 non-Horn;   7 unit;  90 RR)
%            Number of atoms       :  303 (  40 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :   30 (   4 constant; 0-5 arity)
%            Number of variables   :  276 (  17 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO128+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%--------------------------------------------------------------------------
cnf(theorem_4_13_133,negated_conjecture,
    ( ordered_by(sk25,sk26,sk27) )).

cnf(theorem_4_13_134,negated_conjecture,
    ( incident_o(sk28,sk25) )).

cnf(theorem_4_13_135,negated_conjecture,
    ( ~ ordered_by(sk25,sk28,sk27) )).

cnf(theorem_4_13_136,negated_conjecture,
    ( ~ ordered_by(sk25,sk26,sk28) )).

%--------------------------------------------------------------------------
