%--------------------------------------------------------------------------
% File     : GEO137-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Identical oriented lines
% Version  : [EHK99] axioms.
% English  : Oriented lines consisting of the same points and ordering one 
%            pair of points in the same way, are identical.

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :  101 (  42 non-Horn;   6 unit;  91 RR)
%            Number of atoms       :  306 (  41 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   14 (   0 propositional; 1-4 arity)
%            Number of functors    :   30 (   4 constant; 0-5 arity)
%            Number of variables   :  278 (  17 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO137+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%--------------------------------------------------------------------------
cnf(theorem_4_20_133,negated_conjecture,
    ( ~ incident_o(A,sk25)
    | incident_o(A,sk26) )).

cnf(theorem_4_20_134,negated_conjecture,
    ( ~ incident_o(A,sk26)
    | incident_o(A,sk25) )).

cnf(theorem_4_20_135,negated_conjecture,
    ( ordered_by(sk25,sk27,sk28) )).

cnf(theorem_4_20_136,negated_conjecture,
    ( ordered_by(sk26,sk27,sk28) )).

cnf(theorem_4_20_137,negated_conjecture,
    (  sk25 != sk26 )).

%--------------------------------------------------------------------------
