%------------------------------------------------------------------------------
% File     : GEO183+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Lemma on symmetry and apartness
% Version  : [vPl95] axioms : Especial.
% English  : If X and Y are distinct points, then they are incident with
%            the line that is equal to the line connecting the points.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Lemma 4.5.i [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   15 (   3 unit)
%            Number of atoms       :   40 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   35 (  10 ~  ;   9  |;   4  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   37 (   0 singleton;  37 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y,U,V] : 
      ( ( distinct_points(X,Y)
        & convergent_lines(U,V)
        & ~ distinct_lines(U,line_connecting(X,Y)) )
     => ( ~ apart_point_and_line(X,U)
        & ~ apart_point_and_line(Y,U) ) ) )).

%------------------------------------------------------------------------------
