%------------------------------------------------------------------------------
% File     : GEO205+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Convergent lines and equal points
% Version  : [vPl95] axioms : Especial.
% English  : If the lines X and Y are convergent, and Y and Z are 
%            equivalent, then X and Z are convergent, and the intersection
%            point of X and Y, and the intersection point of X and Z are
%            equal.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Theorem 5.6 [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   15 (   3 unit)
%            Number of atoms       :   39 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   33 (   9 ~  ;   9  |;   3  &)
%                                         (   0 <=>;  12 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   36 (   0 singleton;  36 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y,Z] : 
      ( ( convergent_lines(X,Y)
        & ~ distinct_lines(Y,Z) )
     => ( convergent_lines(X,Z)
        & ~ distinct_points(intersection_point(X,Y),intersection_point(X,Z)) ) ) )).

%------------------------------------------------------------------------------
