%------------------------------------------------------------------------------
% File     : GEO206+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Point on parallel lines
% Version  : [vPl95] axioms : Especial.
% English  : If the point X is incident with the line Y, and the lines
%            Y and Z are parallel, then the line Y is equal to the parallel
%            of Z through point X.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Theorem 7.1 [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   18 (   5 unit)
%            Number of atoms       :   44 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   38 (  12 ~  ;  11  |;   2  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   0 constant; 2-2 arity)
%            Number of variables   :   43 (   0 singleton;  43 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+2.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y,Z] : 
      ( ( ~ apart_point_and_line(X,Y)
        & ~ convergent_lines(Y,Z) )
     => ~ distinct_lines(Y,parallel_through_point(Z,X)) ) )).

%------------------------------------------------------------------------------
