%------------------------------------------------------------------------------
% File     : GEO208+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Point on both parallel lines
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : If the point X is incident with both the lines Y and Z, and
%            Y and Z are parallel, then Y and Z are equal.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   16 (   5 unit)
%            Number of atoms       :   44 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   37 (   9 ~  ;  11  |;   4  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   0 constant; 2-2 arity)
%            Number of variables   :   40 (   0 singleton;  40 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :  Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
include('Axioms/GEO006+2.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y,Z] : 
      ( ( ~ apart_point_and_line(X,Y)
        & ~ apart_point_and_line(X,Z)
        & ~ convergent_lines(Y,Z) )
     => ~ distinct_lines(Y,Z) ) )).

%------------------------------------------------------------------------------
