%------------------------------------------------------------------------------
% File     : GEO209+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Pont and three parallel lines
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : If the point A is apart from the line L, but incident with the
%            lines M and N, and L is parallel to M and N, then M and N are
%            equal.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   16 (   5 unit)
%            Number of atoms       :   46 (   0 equality)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   40 (  10 ~  ;  11  |;   6  &)
%                                         (   0 <=>;  13 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   0 constant; 2-2 arity)
%            Number of variables   :   41 (   0 singleton;  41 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :  Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
include('Axioms/GEO006+2.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [A,L,M,N] : 
      ( ( apart_point_and_line(A,L)
        & ~ apart_point_and_line(A,M)
        & ~ apart_point_and_line(A,N)
        & ~ convergent_lines(M,L)
        & ~ convergent_lines(N,L) )
     => ~ distinct_lines(M,N) ) )).

%------------------------------------------------------------------------------
