%------------------------------------------------------------------------------
% File     : GEO217+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Transitivity of parallel
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : If a line L is parallel to the lines M and N, then M and N
%            are parallel.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   16 (   3 unit)
%            Number of atoms       :   48 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   50 (  18 ~  ;  12  |;   6  &)
%                                         (   0 <=>;  14 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   41 (   0 singleton;  41 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :  Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
include('Axioms/GEO006+4.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L,M,N] : 
      ( ( ~ convergent_lines(L,M)
        & ~ convergent_lines(L,N) )
     => ~ convergent_lines(M,N) ) )).

%------------------------------------------------------------------------------
