%------------------------------------------------------------------------------
% File     : GEO218+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Transitivity of parallel and orthogonal
% Version  : [vPl95] axioms : Especial.
% English  : If two lines L and M are parallel and a third line N is
%            orthogonal to L, then M is orthogonal to N.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Theorem 8.7.ii [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   18 (   3 unit)
%            Number of atoms       :   49 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   53 (  22 ~  ;  12  |;   5  &)
%                                         (   0 <=>;  14 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    2 (   0 constant; 2-2 arity)
%            Number of variables   :   44 (   0 singleton;  44 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+4.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L,M,N] : 
      ( ( ~ convergent_lines(L,M)
        & ~ not_orthogonal_through_point(L,N) )
     => ~ not_orthogonal_through_point(M,N) ) )).

%------------------------------------------------------------------------------
