%------------------------------------------------------------------------------
% File     : GEO221+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Lemma on orthogonality
% Version  : [vPl95] axioms : Especial.
% English  : If a point B is incident with the orthogonal to a line L
%            through point A, then this orthogonal is equal to the
%            orthogonal to L through B.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Lemma 8.8 [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   23 (   7 unit)
%            Number of atoms       :   58 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   48 (  13 ~  ;  16  |;   4  &)
%                                         (   0 <=>;  15 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   56 (   0 singleton;  56 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+2.ax').
include('Axioms/GEO006+3.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [A,B,L] : 
      ( ~ apart_point_and_line(B,orthogonal_through_point(L,A))
     => ~ distinct_lines(orthogonal_through_point(L,A),orthogonal_through_point(L,B)) ) )).

%------------------------------------------------------------------------------
