%------------------------------------------------------------------------------
% File     : GEO221+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Lemma on orthogonality
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : If a point B is incident with the orthogonal to a line L
%            through point A, then this orthogonal is equal to the
%            orthogonal to L through B.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   21 (   7 unit)
%            Number of atoms       :   57 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   45 (   9 ~  ;  16  |;   5  &)
%                                         (   0 <=>;  15 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   53 (   0 singleton;  53 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments :  Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
include('Axioms/GEO006+2.ax').
include('Axioms/GEO006+3.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [A,B,L] : 
      ( ~ apart_point_and_line(B,orthogonal_through_point(L,A))
     => ~ distinct_lines(orthogonal_through_point(L,A),orthogonal_through_point(L,B)) ) )).

%------------------------------------------------------------------------------
