%------------------------------------------------------------------------------
% File     : GEO222+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Parallel to orthogonal to orthogonal
% Version  : [vPl95] axioms : Especial.
% English  : A line L is parallel to the line, that is orthogonal to the 
%            orthogonal to L through A, and goes through A as well.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Theorem 8.9 [vPl95]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   23 (   8 unit)
%            Number of atoms       :   57 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   46 (  12 ~  ;  16  |;   4  &)
%                                         (   0 <=>;  14 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   55 (   0 singleton;  55 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+2.ax').
include('Axioms/GEO006+3.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [A,L] : ~ convergent_lines(L,orthogonal_through_point(orthogonal_through_point(L,A),A)) )).

%------------------------------------------------------------------------------
