%------------------------------------------------------------------------------
% File     : GEO224+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Find point incident to line
% Version  : [vPl95] axioms : Especial.
% English  : Assume orthogonal geometry. Given a point and a line, to find 
%            a point incident with the line.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    : Problem 9.1 [vPl95]

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.3.0
% Syntax   : Number of formulae    :   27 (   7 unit)
%            Number of atoms       :   74 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   59 (  12 ~  ;  16  |;  12  &)
%                                         (   0 <=>;  19 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   64 (   0 singleton;  63 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+2.ax').
include('Axioms/GEO006+3.ax').
include('Axioms/GEO006+5.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y] :
      ( ( point(X)
        & line(Y) )
     => ? [Z] :
          ( point(Z)
          & ~ apt(Z,Y) ) ) )).

%------------------------------------------------------------------------------
