%------------------------------------------------------------------------------
% File     : GEO224+2 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Find point incident to line
% Version  : [vPl95] axioms : Reduced > Especial.
% English  : Assume orthogonal geometry. Given a point and a line, to find 
%            a point incident with the line.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Li98]  Li (1998), A Shorter and Intuitive Axiom to Replace th
%          : [Li97]  Li (1997), Replacing the Axioms for Connecting Lines a
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : CounterSatisfiable
% Rating   : 0.50 v3.3.0
% Syntax   : Number of formulae    :   25 (   7 unit)
%            Number of atoms       :   73 (   0 equality)
%            Maximal formula depth :    9 (   6 average)
%            Number of connectives :   56 (   8 ~  ;  16  |;  13  &)
%                                         (   0 <=>;  19 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   61 (   0 singleton;  60 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO008+0.ax').
include('Axioms/GEO006+2.ax').
include('Axioms/GEO006+3.ax').
include('Axioms/GEO006+5.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [X,Y] :
      ( ( point(X)
        & line(Y) )
     => ? [Z] :
          ( point(Z)
          & ~ apt(Z,Y) ) ) )).

%------------------------------------------------------------------------------
