%------------------------------------------------------------------------------
% File     : GEO225+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Existence of line joining distinct points
% Version  : [vPl95] axioms : Especial.
% English  : When there are two distinct points, then a line connecting 
%            them can be constructed.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   19 (   3 unit)
%            Number of atoms       :   55 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   45 (   9 ~  ;   9  |;  10  &)
%                                         (   0 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   44 (   0 singleton;  43 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+5.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [A,B] : 
      ( ( point(A)
        & point(B)
        & distinct_points(A,B) )
     => ? [X] : 
          ( line(X)
         => ( ~ apart_point_and_line(A,X)
            & ~ apart_point_and_line(B,X) ) ) ) )).

%------------------------------------------------------------------------------
