%------------------------------------------------------------------------------
% File     : GEO226+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Existence of point incident to line
% Version  : [vPl95] axioms : Especial.
% English  : Assume orthogonal geometry. Given a point and a line, to find 
%            a point incident with the line.

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl95] von Plato (1995), The Axioms of Constructive Geometry
% Source   : [ILTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   19 (   3 unit)
%            Number of atoms       :   55 (   0 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   45 (   9 ~  ;   9  |;  10  &)
%                                         (   0 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :    4 (   0 constant; 2-2 arity)
%            Number of variables   :   44 (   0 singleton;  43 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO006+0.ax').
include('Axioms/GEO006+5.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L,M] : 
      ( ( line(L)
        & line(M)
        & convergent_lines(L,M) )
     => ? [X] : 
          ( point(X)
         => ( ~ apart_point_and_line(X,L)
            & ~ apart_point_and_line(X,M) ) ) ) )).

%------------------------------------------------------------------------------
