%------------------------------------------------------------------------------
% File     : GEO236+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Left and right apart leads to distinctness of lines
% Version  : [vPl98] axioms : Especial.
% English  : 

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl98] von Plato (1998), A Constructive Theory of Ordered Aff
% Source   : [ILTP]
% Names    : Therorem 5.2 [vPl98]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   32 (   7 unit)
%            Number of atoms       :  104 (   0 equality)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   88 (  16 ~  ;  25  |;  25  &)
%                                         (   5 <=>;  17 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   12 (   0 propositional; 1-4 arity)
%            Number of functors    :    4 (   0 constant; 1-2 arity)
%            Number of variables   :   74 (   0 singleton;  74 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO007+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [A,L,M] : 
      ( ( left_apart_point(A,L)
        & left_apart_point(A,reverse_line(M)) )
     => ( unequally_directed_lines(L,M)
        | distinct_lines(L,M) ) ) )).

%------------------------------------------------------------------------------
