%------------------------------------------------------------------------------
% File     : GEO257+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Geometry (Constructive)
% Problem  : Transitivity of order on a line
% Version  : [vPl98] axioms : Especial.
% English  : 

% Refs     : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [vPl98] von Plato (1998), A Constructive Theory of Ordered Aff
% Source   : [ILTP]
% Names    : Corollary 6.3 [vPl98]

% Status   : Theorem
% Rating   : 0.00 v3.3.0
% Syntax   : Number of formulae    :   32 (   7 unit)
%            Number of atoms       :  107 (   0 equality)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   92 (  17 ~  ;  24  |;  28  &)
%                                         (   5 <=>;  18 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   12 (   0 propositional; 1-4 arity)
%            Number of functors    :    4 (   0 constant; 1-2 arity)
%            Number of variables   :   76 (   0 singleton;  76 !;   0 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Definitions unfolded, hence Especial.
%------------------------------------------------------------------------------
include('Axioms/GEO007+0.ax').
%------------------------------------------------------------------------------
fof(con,conjecture,(
    ! [L,A,B,C,D] : 
      ( ( distinct_points(A,C)
        & distinct_points(B,C)
        & ~ apart_point_and_line(C,L)
        & left_apart_point(D,L) )
     => ( ( before_on_line(L,A,B)
          & before_on_line(L,B,C) )
       => before_on_line(L,A,C) ) ) )).

%------------------------------------------------------------------------------
