%--------------------------------------------------------------------------
% File     : GRP002-2 : TPTP v3.3.0. Bugfixed v1.2.1.
% Domain   : Group Theory
% Problem  : Commutator equals identity in groups of order 3
% Version  : [MOW76] (equality) axioms.
% English  : In a group, if (for all x) the cube of x is the identity 
%            (i.e. a group of order 3), then the equation [[x,y],y]= 
%            identity holds, where [x,y] is the product of x, y, the 
%            inverse of x and the inverse of y (i.e. the commutator 
%            of x and y).

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : commutator.ver2.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.12 v3.3.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.29 v2.0.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;  12 unit;   6 RR)
%            Number of atoms       :   12 (  12 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   8 constant; 0-2 arity)
%            Number of variables   :    8 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
% Bugfixes : v1.2.1 - Clause x_cubed_is_identity fixed.
%--------------------------------------------------------------------------
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%----Redundant two axioms, but established in standard axiomatizations.
cnf(right_identity,axiom,
    ( multiply(X,identity) = X )).

cnf(right_inverse,axiom,
    ( multiply(X,inverse(X)) = identity )).

%----This hypothesis is omitted in the ANL source version 
cnf(x_cubed_is_identity,hypothesis,
    ( multiply(X,multiply(X,X)) = identity )).

cnf(a_times_b_is_c,negated_conjecture,
    ( multiply(a,b) = c )).

cnf(c_times_inverse_a_is_d,negated_conjecture,
    ( multiply(c,inverse(a)) = d )).

cnf(d_times_inverse_b_is_h,negated_conjecture,
    ( multiply(d,inverse(b)) = h )).

cnf(h_times_b_is_j,negated_conjecture,
    ( multiply(h,b) = j )).

cnf(j_times_inverse_h_is_k,negated_conjecture,
    ( multiply(j,inverse(h)) = k )).

cnf(prove_k_times_inverse_b_is_e,negated_conjecture,
    (  multiply(k,inverse(b)) != identity )).

%--------------------------------------------------------------------------
