%--------------------------------------------------------------------------
% File     : GRP012-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Inverse of products = Product of inverses
% Version  : [MOW76] axioms.
%            Theorem formulation : Expressed as (X.Y).(Y^-1.X^-1) = id.
% English  : The inverse of products equals the product of the inverse, 
%            in opposite order.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 9 [Wos65]
%          : wos9 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   8 unit;   6 RR)
%            Number of atoms       :   19 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   22 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%--------------------------------------------------------------------------
cnf(a_multiply_b_is_c,hypothesis,
    ( product(a,b,c) )).

cnf(inverse_b_multiply_inverse_a_is_d,hypothesis,
    ( product(inverse(b),inverse(a),d) )).

cnf(prove_c_multiply_d_is_identity,negated_conjecture,
    ( ~ product(c,d,identity) )).

%--------------------------------------------------------------------------
