%--------------------------------------------------------------------------
% File     : GRP028-4 : TPTP v3.3.0. Released v2.6.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left and right solutions => right id exists
% Version  : [CL73] axioms.
% English  : If there are left and right solutions, then there is a right 
%            identity element.

% Refs     : [Cha70] Chang (1970), The Unit Proof and the Input Proof in Th
%          : [CL73]  Chang & Lee (1973), Symbolic Logic and Mechanical Theo
% Source   : [CL73]
% Names    : Example 1 [CL73]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.6.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   3 unit;   3 RR)
%            Number of atoms       :   11 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    3 (   0 constant; 1-2 arity)
%            Number of variables   :   17 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(associativity1,axiom,
    ( ~ product(X,Y,U)
    | ~ product(Y,Z,V)
    | ~ product(X,V,W)
    | product(U,Z,W) )).

cnf(associativity2,axiom,
    ( ~ product(X,Y,U)
    | ~ product(Y,Z,V)
    | ~ product(U,Z,W)
    | product(X,V,W) )).

cnf(left_soln,hypothesis,
    ( product(left_solution(X,Y),X,Y) )).

cnf(right_soln,hypothesis,
    ( product(X,right_solution(X,Y),Y) )).

%----There is an element for which no X is identity 
cnf(prove_there_is_a_right_identity,negated_conjecture,
    ( ~ product(not_identity(X),X,not_identity(X)) )).

%--------------------------------------------------------------------------
