%--------------------------------------------------------------------------
% File     : GRP029-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left id and inverse => right id exists
% Version  : [MOW76] axioms :
%            Incomplete > Augmented > Complete.
% English  : If there are a left identity and left inverse, then there 
%            is a right identity element.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 1 [Wos65]
%          : wos1 [WM76]
%          : G5 [MOW76]
%          : ident2.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.14 v3.2.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   4 unit;   4 RR)
%            Number of atoms       :   15 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   1 constant; 0-2 arity)
%            Number of variables   :   21 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This may also be viewed as a group theory problem, to prove 
%            that the right identity axiom is dependant on the rest of the 
%            axiom set; i.e., each element has a right identity. Note that 
%            this is a corollary to proving that the right identity axiom 
%            is dependant on the rest of the axiom set, but also that the 
%            proof is different due to the introduction of a skolem 
%            function for the right identity of each element of the group.
%          : The inverse_substitution substitution axioms are missing 
%            in the [MOW76] presentation.
%--------------------------------------------------------------------------
%----Include semi-group axioms 
include('Axioms/GRP002-0.ax').
%--------------------------------------------------------------------------
cnf(left_identity,axiom,
    ( product(identity,A,A) )).

cnf(left_inverse,axiom,
    ( product(inverse(A),A,identity) )).

cnf(prove_there_is_a_right_identity,negated_conjecture,
    ( ~ product(not_right_identity(A),A,not_right_identity(A)) )).

%--------------------------------------------------------------------------
