%--------------------------------------------------------------------------
% File     : GRP030-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left id and inverse => left id=right id
% Version  : [MOW76] axioms.
% English  : If there are a left identity and left inverse, then the left 
%            identity is also a right identity.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 2 [Wos65]
%          : wos2 [WM76]
%          : G3 [MOW76]
%          : ident1.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   4 unit;   4 RR)
%            Number of atoms       :   15 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   20 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This can also be viewed as a group theory problem, showing 
%            that the right identity axiom is dependant on the rest of the 
%            axiom set; i.e., if e is the left identity, then e is also 
%            a right identity.
%--------------------------------------------------------------------------
%----Include semi-group axioms 
include('Axioms/GRP002-0.ax').
%--------------------------------------------------------------------------
cnf(left_identity,hypothesis,
    ( product(identity,A,A) )).

cnf(left_inverse,hypothesis,
    ( product(inverse(A),A,identity) )).

cnf(prove_identity_is_a_right_identity,negated_conjecture,
    ( ~ product(a,identity,a) )).

%--------------------------------------------------------------------------
