%--------------------------------------------------------------------------
% File     : GRP031-2 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left inverse and id => right inverse exists
% Version  : [MOW76] axioms : Reduced > Incomplete.
% English  : If there are right inverses and right identity, then every 
%            element has a left inverse.

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental tests of resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls23 [LS74]
%          : ls23 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0, 0.14 v2.3.0, 0.00 v2.2.1, 0.11 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    7 (   0 non-Horn;   4 unit;   4 RR)
%            Number of atoms       :   15 (   0 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   21 (   1 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This can also be viewed as a group theory problem, showing 
%            that the left inverse axiom is dependant on the rest of the 
%            axiom set; i.e., if there is a right inverse then there 
%            is a left inverse.
%--------------------------------------------------------------------------
%----Don't include semi-group axioms because most equality is missing
%include('Axioms/GRP002-0.ax').
%--------------------------------------------------------------------------
%----This axiom is called closure or totality in some axiomatisations 
cnf(total_function1,axiom,
    ( product(X,Y,multiply(X,Y)) )).

%----This axiom is called well_definedness in some axiomatisations 
cnf(total_function2,axiom,
    ( ~ product(X,Y,Z)
    | ~ product(X,Y,W)
    | equalish(Z,W) )).

cnf(associativity1,axiom,
    ( ~ product(X,Y,U)
    | ~ product(Y,Z,V)
    | ~ product(U,Z,W)
    | product(X,V,W) )).

cnf(associativity2,axiom,
    ( ~ product(X,Y,U)
    | ~ product(Y,Z,V)
    | ~ product(X,V,W)
    | product(U,Z,W) )).

cnf(right_inverse,hypothesis,
    ( product(A,inverse(A),identity) )).

cnf(right_identity,hypothesis,
    ( product(A,identity,A) )).

cnf(prove_a_has_a_left_inverse,negated_conjecture,
    ( ~ product(A,a,identity) )).

%--------------------------------------------------------------------------
