%--------------------------------------------------------------------------
% File     : GRP095-1 : TPTP v3.3.0. Bugfixed v2.7.0.
% Domain   : Group Theory (Abelian)
% Problem  : Single axiom for Abelian group theory, in division and identity
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for Abelian group theory, in terms 
%            of division and identity

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.9.3 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.11 v3.2.0, 0.00 v2.7.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   4 unit;   1 RR)
%            Number of atoms       :    8 (   8 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   13 (  10 constant; 0-2 arity)
%            Number of variables   :    7 (   0 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
% Bugfixes : v2.3.0 - Deleted division, added mltiply and inverse, fixed
%            prove_these_axioms.
%          : v2.7.0 - Grounded conjecture
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( divide(divide(identity,X),divide(divide(divide(Y,X),Z),Y)) = Z )).

%----Definition of multiply 
cnf(multiply,axiom,
    ( multiply(X,Y) = divide(X,divide(identity,Y)) )).

%----Definition of inverse 
cnf(inverse,axiom,
    ( inverse(X) = divide(identity,X) )).

%----Definition of identity 
cnf(identity,axiom,
    ( identity = divide(X,X) )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3))
    | multiply(a4,b4) != multiply(b4,a4) )).

%--------------------------------------------------------------------------
