%--------------------------------------------------------------------------
% File     : GRP149-1 : TPTP v3.3.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Prove least upper-bound axiom using a transformation
% Version  : [Fuc94] (equality) axioms.
% English  : This problem proves the original least upper-bound axiom from
%            the equational axiomatization.

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : ax_lub1d [Sch95] 

% Status   : Unsatisfiable
% Rating   : 0.12 v3.3.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  18 unit;   3 RR)
%            Number of atoms       :   18 (  18 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   33 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b > c
%          : ORDERING LPO greatest_lower_bound > least_upper_bound > 
%            inverse > product > identity > a > b > c
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(ax_lub1d_1,hypothesis,
    ( greatest_lower_bound(a,c) = a )).

cnf(ax_lub1d_2,hypothesis,
    ( greatest_lower_bound(b,c) = b )).

cnf(prove_ax_lub1d,negated_conjecture,
    (  least_upper_bound(least_upper_bound(a,b),c) != c )).

%--------------------------------------------------------------------------
