%--------------------------------------------------------------------------
% File     : GRP184-2 : TPTP v3.3.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Orthogonal elements commute and form a subgroup
% Version  : [Fuc94] (equality) axioms : Augmented.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p21 [Sch95]

% Status   : Unsatisfiable
% Rating   : 0.25 v3.3.0, 0.14 v3.1.0, 0.00 v2.7.0, 0.18 v2.6.0, 0.17 v2.5.0, 0.00 v2.4.0, 0.00 v2.2.1, 0.56 v2.2.0, 0.57 v2.1.0, 0.71 v2.0.0
% Syntax   : Number of clauses     :   19 (   0 non-Horn;  19 unit;   2 RR)
%            Number of atoms       :   19 (  19 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   36 (   2 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p21_1,hypothesis,
    ( inverse(identity) = identity )).

cnf(p21_2,hypothesis,
    ( inverse(inverse(X)) = X )).

cnf(p21_3,hypothesis,
    ( inverse(multiply(X,Y)) = multiply(inverse(Y),inverse(X)) )).

cnf(prove_p21,negated_conjecture,
    (  multiply(least_upper_bound(a,identity),inverse(greatest_lower_bound(a,identity))) != multiply(inverse(greatest_lower_bound(a,identity)),least_upper_bound(a,identity)) )).

%--------------------------------------------------------------------------
