%--------------------------------------------------------------------------
% File     : HEN009-3 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : Define X' as identity/X. Then X' = X'''
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : HP9 [ANL]

% Status   : Unsatisfiable
% Rating   : 0.17 v3.3.0, 0.00 v3.1.0, 0.11 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.43 v2.1.0, 0.80 v2.0.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;   9 unit;   8 RR)
%            Number of atoms       :   16 (   8 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   6 constant; 0-2 arity)
%            Number of variables   :   13 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Henkin model axioms for equality formulation 
include('Axioms/HEN002-0.ax').
%--------------------------------------------------------------------------
cnf(part_of_theorem,hypothesis,
    (  divide(identity,a) != divide(identity,divide(identity,divide(identity,a))) )).

cnf(id_divide_a_is_b,hypothesis,
    ( divide(identity,a) = b )).

cnf(id_divide_b_is_c,hypothesis,
    ( divide(identity,b) = c )).

cnf(id_divide_c_is_d,hypothesis,
    ( divide(identity,c) = d )).

cnf(prove_b_equals_d,negated_conjecture,
    (  b != d )).

%--------------------------------------------------------------------------
