%--------------------------------------------------------------------------
% File     : LAT027-1 : TPTP v3.3.0. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : WAL + absorption gives LT, part 2.
% Version  : [MP96] (equality) axioms.
% English  : A Weakly associative lattice (WAL) satisfying an absorption
%            law is associative, and therefore a full lattice, part 2.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-1-b [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.07 v3.1.0, 0.00 v2.7.0, 0.09 v2.6.0, 0.00 v2.2.1
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   8 unit;   1 RR)
%            Number of atoms       :    8 (   8 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   15 (   6 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%--------------------------------------------------------------------------
%----Include Weakly Associative Lattices theory (equality) axioms
include('Axioms/LAT005-0.ax').
%--------------------------------------------------------------------------
%----An absorption law.
cnf(absorption,hypothesis,
    ( meet(X,join(Y,join(X,Z))) = X )).

%----Denial of associativity of join:
cnf(prove_associativity_of_join,negated_conjecture,
    (  join(join(a,b),c) != join(a,join(b,c)) )).

%--------------------------------------------------------------------------
