%--------------------------------------------------------------------------
% File     : LAT029-1 : TPTP v3.3.0. Released v2.2.0.
% Domain   : Lattice Theory (Weakly Associative Lattices)
% Problem  : Absorption basis for WAL
% Version  : [MP96] (equality) axioms : Especial.
% English  : Prove that the 5 absorption equations below are a basis for
%            weakly associative lattices.  This can be done by deriving
%            commutativity and idempotence of the two operations.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : WAL-3 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.11 v3.2.0, 0.00 v2.2.1
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   5 unit;   1 RR)
%            Number of atoms       :    9 (   9 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   12 (   5 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%--------------------------------------------------------------------------
%----An absorption basis for weakly associative lattices (WAL):
cnf(wal_absorbtion_1,axiom,
    ( join(meet(X,Y),meet(X,join(X,Y))) = X )).

cnf(wal_absorbtion_2,axiom,
    ( join(meet(X,X),meet(Y,join(X,X))) = X )).

cnf(wal_absorbtion_3,axiom,
    ( join(meet(X,Y),meet(Y,join(X,Y))) = Y )).

cnf(wal_absorbtion_4,axiom,
    ( meet(meet(join(X,Y),join(Z,X)),X) = X )).

cnf(wal_absorbtion_5,axiom,
    ( join(join(meet(X,Y),meet(Z,X)),X) = X )).

%----Denial of the conclusion:
cnf(prove_normal_axioms,negated_conjecture,
    ( meet(a,a) != a
    | meet(b,a) != meet(a,b)
    | join(a,a) != a
    | join(b,a) != join(a,b) )).

%--------------------------------------------------------------------------
