%------------------------------------------------------------------------------
% File     : LAT104-1 : TPTP v3.3.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H3 is independent of H21
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H21 does not imply Huntington 
%            equation H3 in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.67 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    8 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H21,axiom,
    ( join(meet(X,Y),meet(X,Z)) = meet(X,join(meet(Y,join(X,meet(Y,Z))),meet(Z,join(X,Y)))) )).

cnf(prove_H3,negated_conjecture,
    (  meet(a,join(b,meet(a,c))) != meet(a,join(b,meet(c,join(b,meet(a,join(c,meet(a,b))))))) )).

%------------------------------------------------------------------------------
