%------------------------------------------------------------------------------
% File     : LAT117-1 : TPTP v3.3.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H69 is independent of H65
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H65 does not imply Huntington 
%            equation H69 in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.67 v3.2.0, 1.00 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   20 (   2 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H65,axiom,
    ( meet(X,join(Y,meet(Z,U))) = meet(X,join(Y,meet(X,join(meet(X,Y),meet(Z,U))))) )).

cnf(prove_H69,negated_conjecture,
    (  meet(a,join(b,c)) != join(meet(a,join(c,meet(a,b))),meet(a,join(b,meet(a,c)))) )).

%------------------------------------------------------------------------------
