%------------------------------------------------------------------------------
% File     : LAT134-1 : TPTP v3.3.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Huntington equation H22_dual is independent of H61
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that Huntington equation H61 does not imply Huntington 
%            equation H22_dual in lattice theory.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Satisfiable
% Rating   : 0.33 v3.2.0, 0.67 v3.1.0
% Syntax   : Number of clauses     :   10 (   0 non-Horn;  10 unit;   1 RR)
%            Number of atoms       :   10 (  10 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   3 constant; 0-2 arity)
%            Number of variables   :   19 (   2 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%------------------------------------------------------------------------------
cnf(equation_H61,axiom,
    ( meet(join(X,Y),join(X,Z)) = join(X,meet(join(X,Y),join(meet(X,Y),Z))) )).

cnf(prove_H22_dual,negated_conjecture,
    (  meet(join(a,b),join(a,c)) != join(a,meet(join(b,meet(c,join(a,b))),join(c,meet(a,b)))) )).

%------------------------------------------------------------------------------
