%------------------------------------------------------------------------------
% File     : LAT256-1 : TPTP v3.3.0. Released v3.1.0.
% Domain   : Lattice Theory
% Problem  : Equation H81 is Huntington by implication
% Version  : [McC05] (equality) axioms : Especial.
% English  : Show that H81 is Huntington by deriving the Huntington implication
%            X ^ Y = Y  ->  X' v Y' = Y' in uniquely complemented lattices.

% Refs     : [McC05] McCune (2005), Email to Geoff Sutcliffe
% Source   : [McC05]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 1.00 v3.1.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;  13 unit;   3 RR)
%            Number of atoms       :   16 (  16 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   23 (   2 singleton)
%            Maximal term depth    :    7 (   2 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Lattice theory (equality) axioms
include('Axioms/LAT001-0.ax').
%----Include Lattice theory unique complementation (equality) axioms
include('Axioms/LAT001-4.ax').
%------------------------------------------------------------------------------
cnf(equation_H81,axiom,
    ( meet(X,join(meet(X,Y),meet(Z,join(X,meet(Y,join(X,Z)))))) = meet(X,join(meet(X,Y),meet(X,Z))) )).

cnf(prove_distributivity,hypothesis,
    ( meet(b,a) = a )).

cnf(prove_distributivity,negated_conjecture,
    (  join(complement(b),complement(a)) != complement(a) )).

%------------------------------------------------------------------------------
