%--------------------------------------------------------------------------
% File     : LCL008-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Logic Calculi (Equivalential)
% Problem  : EC-4 depends on YQL
% Version  : [McC92] axioms.
% English  : An axiomatisation of the equivalential calculus is {EC-4, 
%            EC-5} by Wajsburg. Show that EC-4 can be derived from the 
%            single Lukasiewicz axiom YQL.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : EC-71 [MW92]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   2 unit;   2 RR)
%            Number of atoms       :    5 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :    5 (   0 singleton)
%            Maximal term depth    :    4 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(condensed_detachment,axiom,
    ( ~ is_a_theorem(equivalent(X,Y))
    | ~ is_a_theorem(X)
    | is_a_theorem(Y) )).

%----Axiom by Lukasiewicz 
cnf(yql,axiom,
    ( is_a_theorem(equivalent(equivalent(X,Y),equivalent(equivalent(Z,Y),equivalent(X,Z)))) )).

%----Axiom of symmetry 
cnf(prove_ec_4,negated_conjecture,
    ( ~ is_a_theorem(equivalent(equivalent(a,b),equivalent(b,a))) )).

%--------------------------------------------------------------------------
