%------------------------------------------------------------------------------
% File     : LCL497+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Logic Calculi (Propositional)
% Problem  : Prove Lukasiewicz's cn2 axiom from Principia's axiomatization
% Version  : [RW10] axioms.
% English  :

% Refs     : [RW10]  Russell & Whitehead (1910), Principia Mathmatica
%          : [Hal]   Halleck (URL), John Halleck's Logic Systems
% Source   : [TPTP]
% Names    : 

% Status   : Theorem
% Rating   : 0.53 v3.3.0
% Syntax   : Number of formulae    :   45 (  14 unit)
%            Number of atoms       :   79 (   6 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   34 (   0 ~  ;   0  |;   1  &)
%                                         (  26 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   34 (  32 propositional; 0-2 arity)
%            Number of functors    :    5 (   0 constant; 1-2 arity)
%            Number of variables   :   65 (   0 singleton;  65 !;   0 ?)
%            Maximal term depth    :    5 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms of propositional logic
include('Axioms/LCL006+0.ax').
include('Axioms/LCL006+1.ax').
%----Include Principia's axiomatization of propositional logic
include('Axioms/LCL006+4.ax').
%------------------------------------------------------------------------------
%----Operator definitions to reduce everything to and & not
fof(luka_op_or,axiom,op_or). 

fof(luka_op_implies,axiom,op_implies).

fof(luka_op_equiv,axiom,op_equiv).

fof(luka_cn2,conjecture,cn2).

%------------------------------------------------------------------------------
