%------------------------------------------------------------------------------
% File     : LCL538+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Logic Calculi (Propositional modal)
% Problem  : Prove strict implies modus ponens from KM4B axiomatization of S5
% Version  : [HC96] axioms.
% English  :

% Refs     : [HC96]  Hughes & Cresswell (1996), A New Introduction to Modal
%          : [Hal]   Halleck (URL), John Halleck's Logic Systems
% Source   : [TPTP]
% Names    : 

% Status   : Theorem
% Rating   : 0.26 v3.3.0
% Syntax   : Number of formulae    :   89 (  31 unit)
%            Number of atoms       :  156 (  11 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   67 (   0 ~  ;   0  |;   3  &)
%                                         (  49 <=>;  15 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   61 (  59 propositional; 0-2 arity)
%            Number of functors    :    9 (   0 constant; 1-2 arity)
%            Number of variables   :  110 (   0 singleton; 110 !;   0 ?)
%            Maximal term depth    :    5 (   3 average)

% Comments : 
%------------------------------------------------------------------------------
%----Include Hilbert's axiomatization of propositional logic
include('Axioms/LCL006+0.ax').
include('Axioms/LCL006+1.ax').
include('Axioms/LCL006+2.ax').
%----Include axioms of modal logic
include('Axioms/LCL007+0.ax').
include('Axioms/LCL007+1.ax').
%----Include axioms for KM4B
include('Axioms/LCL007+3.ax').
%------------------------------------------------------------------------------
%----Modal definitions
fof(s1_0_op_possibly,axiom,op_possibly).

fof(s1_0_op_or,axiom,op_or).

fof(s1_0_op_implies,axiom,op_implies).

fof(s1_0_op_strict_implies,axiom,op_strict_implies).

fof(s1_0_op_equiv,axiom,op_equiv).

fof(s1_0_op_strict_equiv,axiom,op_strict_equiv).

%----Conjecture
fof(s1_0_modus_ponens_strict_implies,conjecture,modus_ponens_strict_implies).

%------------------------------------------------------------------------------
