%------------------------------------------------------------------------------
% File     : MED010+1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Medicine
% Problem  : Unsuccessful s1-qilt27 treatment - two oral anti-diabetic
% Version  : [HLB05] axioms : Especial.
% English  : After unsuccessful treatment with two oral anti-diabetic medical
%            management moves to next step.

% Refs     : [HLB05] Hommersom et al. (2005), Automated Theorem Proving for
%          : [Hom06] Hommersom (2006), Email to G. Sutcliffe
% Source   : [Hom06]
% Names    :

% Status   : Theorem
% Rating   : 0.33 v3.3.0, 0.44 v3.2.0
% Syntax   : Number of formulae    :   41 (   1 unit)
%            Number of atoms       :  199 (   0 equality)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :  241 (  83 ~  ;  33  |;  50  &)
%                                         (   0 <=>;  75 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :    1 (   1 constant; 0-0 arity)
%            Number of variables   :   96 (   0 singleton;  92 !;   4 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments :
%------------------------------------------------------------------------------
include('Axioms/MED001+0.ax').
include('Axioms/MED001+1.ax').
%------------------------------------------------------------------------------
fof(unsuccesfuls2,conjecture,
    ( ( s2(n0)
      & ! [X0] : 
          ( gt(n0,X0)
         => conditionhyper(X0) )
      & bcapacityex(n0) )
   => ? [X0] : 
        ( ~ gt(n0,X0)
        & s3(X0)
        & ! [X1] : 
            ( gt(X0,X1)
           => conditionhyper(X1) )
        & bcapacityex(X0) ) )).

%------------------------------------------------------------------------------
