%--------------------------------------------------------------------------
% File     : MGT002-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Structural inertia increases monotonically with age. 
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   7 unit;  13 RR)
%            Number of atoms       :   40 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :    5 (   0 propositional; 2-3 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   29 (   2 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT002+1.p 
%--------------------------------------------------------------------------
cnf(mp3_1,axiom,
    ( ~ organization(A,B)
    | reproducibility(A,sk1(B,A),B) )).

cnf(mp4_2,axiom,
    ( ~ reorganization_free(A,B,C)
    | reorganization_free(A,B,B) )).

cnf(mp4_3,axiom,
    ( ~ reorganization_free(A,B,C)
    | reorganization_free(A,C,C) )).

cnf(a3_FOL_4,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(C,D)
    | ~ reorganization_free(A,B,B)
    | ~ reorganization_free(C,D,D)
    | ~ reproducibility(A,E,B)
    | ~ reproducibility(C,F,D)
    | ~ inertia(A,G,B)
    | ~ inertia(C,H,D)
    | ~ greater(F,E)
    | greater(H,G) )).

cnf(a3_FOL_5,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(C,D)
    | ~ reorganization_free(A,B,B)
    | ~ reorganization_free(C,D,D)
    | ~ reproducibility(A,E,B)
    | ~ reproducibility(C,F,D)
    | ~ inertia(A,G,B)
    | ~ inertia(C,H,D)
    | ~ greater(H,G)
    | greater(F,E) )).

cnf(a4_FOL_6,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(A,C)
    | ~ reorganization_free(A,B,C)
    | ~ reproducibility(A,D,B)
    | ~ reproducibility(A,E,C)
    | ~ greater(C,B)
    | greater(E,D) )).

cnf(t2_FOL_7,negated_conjecture,
    ( organization(sk2,sk5) )).

cnf(t2_FOL_8,negated_conjecture,
    ( organization(sk2,sk6) )).

cnf(t2_FOL_9,negated_conjecture,
    ( reorganization_free(sk2,sk5,sk6) )).

cnf(t2_FOL_10,negated_conjecture,
    ( inertia(sk2,sk3,sk5) )).

cnf(t2_FOL_11,negated_conjecture,
    ( inertia(sk2,sk4,sk6) )).

cnf(t2_FOL_12,negated_conjecture,
    ( greater(sk6,sk5) )).

cnf(t2_FOL_13,negated_conjecture,
    ( ~ greater(sk4,sk3) )).

%--------------------------------------------------------------------------
