%--------------------------------------------------------------------------
% File     : MGT003-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Organizational death rates decrease with age.
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses     :   12 (   0 non-Horn;   7 unit;  12 RR)
%            Number of atoms       :   30 (   0 equality)
%            Maximal clause size   :   10 (   2 average)
%            Number of predicates  :    5 (   0 propositional; 2-3 arity)
%            Number of functors    :    6 (   5 constant; 0-2 arity)
%            Number of variables   :   21 (   2 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : Created with tptp2X -f tptp -t clausify:otter MGT003+1.p 
%--------------------------------------------------------------------------
cnf(mp4_1,axiom,
    ( ~ reorganization_free(A,B,C)
    | reorganization_free(A,B,B) )).

cnf(mp4_2,axiom,
    ( ~ reorganization_free(A,B,C)
    | reorganization_free(A,C,C) )).

cnf(mp5_3,axiom,
    ( ~ organization(A,B)
    | inertia(A,sk1(B,A),B) )).

cnf(t1_FOL_4,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(C,D)
    | ~ reorganization_free(A,B,B)
    | ~ reorganization_free(C,D,D)
    | ~ inertia(A,E,B)
    | ~ inertia(C,F,D)
    | ~ survival_chance(A,G,B)
    | ~ survival_chance(C,H,D)
    | ~ greater(F,E)
    | greater(H,G) )).

cnf(t2_FOL_5,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(A,C)
    | ~ reorganization_free(A,B,C)
    | ~ inertia(A,D,B)
    | ~ inertia(A,E,C)
    | ~ greater(C,B)
    | greater(E,D) )).

cnf(t3_FOL_6,negated_conjecture,
    ( organization(sk2,sk5) )).

cnf(t3_FOL_7,negated_conjecture,
    ( organization(sk2,sk6) )).

cnf(t3_FOL_8,negated_conjecture,
    ( reorganization_free(sk2,sk5,sk6) )).

cnf(t3_FOL_9,negated_conjecture,
    ( survival_chance(sk2,sk3,sk5) )).

cnf(t3_FOL_10,negated_conjecture,
    ( survival_chance(sk2,sk4,sk6) )).

cnf(t3_FOL_11,negated_conjecture,
    ( greater(sk6,sk5) )).

cnf(t3_FOL_12,negated_conjecture,
    ( ~ greater(sk4,sk3) )).

%--------------------------------------------------------------------------
