%--------------------------------------------------------------------------
% File     : MGT012-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Complexity of an organization cannot get smaller by age
% Version  : [PB+94] axioms.
% English  : Complexity of an organization cannot get smaller by age in
%            lack of reorganization.

% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.17 v3.3.0, 0.00 v3.1.0, 0.11 v2.7.0, 0.00 v2.4.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;   7 unit;  14 RR)
%            Number of atoms       :   38 (   2 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   27 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : "Not published due to publication constraints." [Kam95].
%          : Created with tptp2X -f tptp -t clausify:otter MGT012+1.p 
%--------------------------------------------------------------------------
cnf(mp5_20,axiom,
    ( ~ organization(A,B)
    | inertia(A,sk1(B,A),B) )).

cnf(mp6_1_21,axiom,
    ( ~ greater(A,B)
    | A != B )).

cnf(mp6_2_22,axiom,
    ( ~ greater(A,B)
    | ~ greater(B,A) )).

cnf(mp9_23,axiom,
    ( ~ organization(A,B)
    | class(A,sk2(B,A),B) )).

cnf(mp10_24,axiom,
    ( ~ organization(A,B)
    | ~ organization(A,C)
    | ~ reorganization_free(A,B,C)
    | ~ class(A,D,B)
    | ~ class(A,E,C)
    | D = E )).

cnf(a12_FOL_25,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(C,D)
    | ~ class(A,E,B)
    | ~ class(C,E,D)
    | ~ complexity(A,F,B)
    | ~ complexity(C,G,D)
    | ~ inertia(A,H,B)
    | ~ inertia(C,I,D)
    | ~ greater(G,F)
    | greater(I,H) )).

cnf(t2_FOL_26,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(A,C)
    | ~ reorganization_free(A,B,C)
    | ~ inertia(A,D,B)
    | ~ inertia(A,E,C)
    | ~ greater(C,B)
    | greater(E,D) )).

cnf(t12_FOL_27,negated_conjecture,
    ( organization(sk3,sk6) )).

cnf(t12_FOL_28,negated_conjecture,
    ( organization(sk3,sk7) )).

cnf(t12_FOL_29,negated_conjecture,
    ( reorganization_free(sk3,sk6,sk7) )).

cnf(t12_FOL_30,negated_conjecture,
    ( complexity(sk3,sk4,sk6) )).

cnf(t12_FOL_31,negated_conjecture,
    ( complexity(sk3,sk5,sk7) )).

cnf(t12_FOL_32,negated_conjecture,
    ( greater(sk7,sk6) )).

cnf(t12_FOL_33,negated_conjecture,
    ( greater(sk4,sk5) )).

%--------------------------------------------------------------------------
