%--------------------------------------------------------------------------
% File     : MGT018-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Larger organizations have shorter reorganization
% Version  : [PB+94] axioms.
% English  : The bigger an organization is at the beginning of
%            reorganization, the sooner disbanding due to reorganization 
%            (possibly) happens - i.e., the shorter is the reorganization.

% Refs     : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
%          : [Kam95] Kamps (1995), Email to G. Sutcliffe
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.00 v2.4.0
% Syntax   : Number of clauses     :   16 (   1 non-Horn;  13 unit;  16 RR)
%            Number of atoms       :   38 (   0 equality)
%            Maximal clause size   :   13 (   2 average)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   9 constant; 0-2 arity)
%            Number of variables   :   20 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : "Not published due to publication constraints." [Kam95].
%          : Created with tptp2X -f tptp -t clausify:otter MGT018+1.p 
%--------------------------------------------------------------------------
cnf(mp5_1,axiom,
    ( ~ organization(A,B)
    | inertia(A,sk1(B,A),B) )).

cnf(a5_FOL_2,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(C,D)
    | ~ class(A,E,B)
    | ~ class(C,E,D)
    | ~ size(A,F,B)
    | ~ size(C,G,D)
    | ~ inertia(A,H,B)
    | ~ inertia(C,I,D)
    | ~ greater(G,F)
    | greater(I,H) )).

cnf(a14_FOL_3,hypothesis,
    ( ~ organization(A,B)
    | ~ organization(C,B)
    | organization(C,D)
    | ~ class(A,E,B)
    | ~ class(C,E,B)
    | ~ reorganization(A,B,F)
    | ~ reorganization(C,B,D)
    | ~ reorganization_type(A,G,B)
    | ~ reorganization_type(C,G,B)
    | ~ inertia(A,H,B)
    | ~ inertia(C,I,B)
    | ~ greater(I,H)
    | greater(F,D) )).

cnf(t18_FOL_4,negated_conjecture,
    ( organization(sk2,sk8) )).

cnf(t18_FOL_5,negated_conjecture,
    ( organization(sk3,sk8) )).

cnf(t18_FOL_6,negated_conjecture,
    ( ~ organization(sk3,sk10) )).

cnf(t18_FOL_7,negated_conjecture,
    ( class(sk2,sk5,sk8) )).

cnf(t18_FOL_8,negated_conjecture,
    ( class(sk3,sk5,sk8) )).

cnf(t18_FOL_9,negated_conjecture,
    ( reorganization(sk2,sk8,sk9) )).

cnf(t18_FOL_10,negated_conjecture,
    ( reorganization(sk3,sk8,sk10) )).

cnf(t18_FOL_11,negated_conjecture,
    ( reorganization_type(sk2,sk4,sk8) )).

cnf(t18_FOL_12,negated_conjecture,
    ( reorganization_type(sk3,sk4,sk8) )).

cnf(t18_FOL_13,negated_conjecture,
    ( size(sk2,sk6,sk8) )).

cnf(t18_FOL_14,negated_conjecture,
    ( size(sk3,sk7,sk8) )).

cnf(t18_FOL_15,negated_conjecture,
    ( greater(sk7,sk6) )).

cnf(t18_FOL_16,negated_conjecture,
    ( ~ greater(sk9,sk10) )).

%--------------------------------------------------------------------------
