%--------------------------------------------------------------------------
% File     : NUM021-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a <= b < c, then c cannot divide a
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls65 [LS74]
%          : ls65 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   20 (   1 non-Horn;   9 unit;  15 RR)
%            Number of atoms       :   34 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   33 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Surplus transitivity axiom removed.
%          : This is dumb, because there is no need for the clause
%            prove_a_contradiction.
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%----Include recursive function divides axioms 
include('Axioms/NUM001-2.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(b_less_than_c,hypothesis,
    ( less(b,c) )).

cnf(b_greater_equal_a,hypothesis,
    ( ~ less(b,a) )).

cnf(impossible_c_divides_a,negated_conjecture,
    ( divides(c,a) )).

cnf(prove_a_contradiction,negated_conjecture,
    ( ~ equalish(successor(A),n0) )).

%--------------------------------------------------------------------------
