%--------------------------------------------------------------------------
% File     : NUM024-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Number Theory
% Problem  : No number is less than itself
% Version  : [LS74] axioms : Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls75 [LS74]
%          : ls75 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.6.0, 0.14 v2.5.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   17 (   0 non-Horn;   8 unit;  11 RR)
%            Number of atoms       :   28 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   32 (   3 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Surplus transitivity axiom removed and transitivity of less 
%            included.
%--------------------------------------------------------------------------
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
cnf(reflexivity,axiom,
    ( equalish(X,X) )).

cnf(symmetry,axiom,
    ( ~ equalish(X,Y)
    | equalish(Y,X) )).

cnf(transitivity,axiom,
    ( ~ equalish(X,Y)
    | ~ equalish(Y,Z)
    | equalish(X,Z) )).

cnf(plus_substitution,axiom,
    ( ~ equalish(add(A,B),add(C,B))
    | equalish(A,C) )).

cnf(commutativity_of_plus,axiom,
    ( equalish(add(A,B),add(B,A)) )).

cnf(impossible_a_is_less_than_itself,hypothesis,
    ( less(a,a) )).

cnf(prove_a_contradiction,negated_conjecture,
    ( ~ equalish(successor(A),n0) )).

%--------------------------------------------------------------------------
