%--------------------------------------------------------------------------
% File     : NUM183-1 : TPTP v3.3.0. Bugfixed v2.1.0.
% Domain   : Number Theory (Ordinals)
% Problem  : Ordinals are either kind 1 or limit
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : LIM2.4 [Quaife]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.3.0, 0.36 v3.2.0, 0.15 v3.1.0, 0.27 v2.7.0, 0.25 v2.6.0, 0.11 v2.5.0, 0.18 v2.4.0, 0.12 v2.3.0, 0.00 v2.2.1, 0.17 v2.2.0, 0.00 v2.1.0
% Syntax   : Number of clauses     :  161 (  12 non-Horn;  49 unit; 122 RR)
%            Number of atoms       :  325 (  71 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   17 (   0 propositional; 1-3 arity)
%            Number of functors    :   63 (  19 constant; 0-3 arity)
%            Number of variables   :  303 (  40 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Not in [Qua92]. Theorem LIM2.4 in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. The user may create an augmented
%            version of this problem by adding all previously proved theorems.
%            These include all of [Qua92]'s set theory and Boolean algebra
%            theorems, available from the SET domain.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_ordinals_are_kind_1_or_limit_1,negated_conjecture,
    ( member(x,ordinal_numbers) )).

cnf(prove_ordinals_are_kind_1_or_limit_2,negated_conjecture,
    ( ~ member(x,kind_1_ordinals) )).

cnf(prove_ordinals_are_kind_1_or_limit_3,negated_conjecture,
    ( ~ member(x,limit_ordinals) )).

%--------------------------------------------------------------------------
