%--------------------------------------------------------------------------
% File     : NUM259-1 : TPTP v3.3.0. Bugfixed v2.1.0.
% Domain   : Number Theory (Ordinals)
% Problem  : The uniqueness of the function defined by transfinite recursion
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses     :  162 (  12 non-Horn;  50 unit; 123 RR)
%            Number of atoms       :  326 (  74 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   17 (   0 propositional; 1-3 arity)
%            Number of functors    :   64 (  20 constant; 0-3 arity)
%            Number of variables   :  303 (  40 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Not in [Qua92]. Theorem TREC17 in [Quaife].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. The user may create an augmented
%            version of this problem by adding all previously proved theorems.
%            These include all of [Qua92]'s set theory and Boolean algebra
%            theorems, available from the SET domain.
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%----Include Set theory (Boolean algebra) axioms based on NBG set theory 
include('Axioms/SET004-1.ax').
%----Include ordinal number theory axioms.
include('Axioms/NUM004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_transfinite_recursion_function_unique_1,negated_conjecture,
    ( function(x) )).

cnf(prove_transfinite_recursion_function_unique_2,negated_conjecture,
    ( domain_of(x) = ordinal_numbers )).

cnf(prove_transfinite_recursion_function_unique_3,negated_conjecture,
    ( compose(z,rest_of(x)) = x )).

cnf(prove_transfinite_recursion_function_unique_4,negated_conjecture,
    (  sum_class(recursion_equation_functions(z)) != x )).

%--------------------------------------------------------------------------
