%--------------------------------------------------------------------------
% File     : RNG006-3 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : X*(Y+ -Z) = (X*Y) + -(X*Z)
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
% Source   : [SPRFN]
% Names    : Problem 25 [Wos65]

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.14 v3.2.0, 0.00 v3.1.0, 0.22 v2.7.0, 0.00 v2.6.0, 0.29 v2.5.0, 0.00 v2.2.1, 0.22 v2.2.0, 0.14 v2.1.0, 0.25 v2.0.0
% Syntax   : Number of clauses     :   22 (   0 non-Horn;  11 unit;  16 RR)
%            Number of atoms       :   55 (   2 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :   11 (   8 constant; 0-2 arity)
%            Number of variables   :   71 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(b_plus_inverse_c,hypothesis,
    ( sum(b,additive_inverse(c),bS_Ic) )).

cnf(a_times_b,hypothesis,
    ( product(a,b,aPb) )).

cnf(a_times_c,hypothesis,
    ( product(a,c,aPc) )).

cnf(aPb_plus_IaPc,hypothesis,
    ( sum(aPb,additive_inverse(aPc),aPb_S_IaPc) )).

cnf(prove_a_times_bS_Ic_is_aPb_S__IaPc,negated_conjecture,
    ( ~ product(a,bS_Ic,aPb_S_IaPc) )).

%--------------------------------------------------------------------------
