%--------------------------------------------------------------------------
% File     : RNG041-1 : TPTP v3.3.0. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Unknown
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 30 [Wos65]
%          : wos30 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.08 v3.3.0, 0.14 v3.2.0, 0.15 v3.1.0, 0.09 v2.7.0, 0.17 v2.6.0, 0.10 v2.5.0, 0.08 v2.4.0, 0.22 v2.2.1, 0.11 v2.2.0, 0.11 v2.1.0, 0.22 v2.0.0
% Syntax   : Number of clauses     :   26 (   2 non-Horn;  13 unit;  14 RR)
%            Number of atoms       :   61 (   6 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   77 (   2 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%--------------------------------------------------------------------------
cnf(multiplicative_identity1,hypothesis,
    ( product(additive_identity,A,additive_identity) )).

cnf(multiplicative_identity2,hypothesis,
    ( product(A,additive_identity,additive_identity) )).

cnf(right_multiplicative_identity,hypothesis,
    ( product(A,multiplicative_identity,A) )).

cnf(left_multiplicative_identity,hypothesis,
    ( product(multiplicative_identity,A,A) )).

cnf(clause41,hypothesis,
    ( product(A,h(A),multiplicative_identity)
    | A = additive_identity )).

cnf(clause42,hypothesis,
    ( product(h(A),A,multiplicative_identity)
    | A = additive_identity )).

cnf(a_times_b,negated_conjecture,
    ( product(a,b,additive_identity) )).

cnf(a_not_additive_identity,negated_conjecture,
    (  a != additive_identity )).

cnf(prove_b_is_additive_identity,negated_conjecture,
    (  b != additive_identity )).

%--------------------------------------------------------------------------
