%--------------------------------------------------------------------------
% File     : SET386-6 : TPTP v3.3.0. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Relation property 4
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
%          : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : RL4 [Quaife]

% Status   : Unsatisfiable
% Rating   : 0.33 v3.3.0, 0.29 v3.2.0, 0.38 v3.1.0, 0.27 v2.7.0, 0.33 v2.6.0, 0.44 v2.5.0, 0.45 v2.4.0, 0.12 v2.2.1, 0.17 v2.2.0, 0.00 v2.1.0
% Syntax   : Number of clauses     :  114 (   8 non-Horn;  39 unit;  81 RR)
%            Number of atoms       :  220 (  50 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :   11 (   0 propositional; 1-3 arity)
%            Number of functors    :   47 (  13 constant; 0-3 arity)
%            Number of variables   :  214 (  32 singleton)
%            Maximal term depth    :    6 (   2 average)

% Comments : Not in [Qua92].
%          : Quaife proves all these problems by augmenting the axioms with 
%            all previously proved theorems. With a few exceptions (the
%            problems that correspond to [BL+86] problems), the TPTP has
%            retained the order in which Quaife presents the problems. The
%            user may create an augmented version of this problem by adding
%            all previously proved theorems (the ones that correspond to
%            [BL+86] are easily identified and positioned using Quaife's
%            naming scheme).
% Bugfixes : v1.0.1 - Bugfix in SET004-1.ax.
%          : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
%----Include von Neuman-Bernays-Godel Boolean Algebra definitions 
include('Axioms/SET004-1.ax').
%--------------------------------------------------------------------------
cnf(prove_relation_property4_1,negated_conjecture,
    ( restrict(x,universal_class,universal_class) = x )).

cnf(prove_relation_property4_2,negated_conjecture,
    ( ~ subclass(x,cross_product(universal_class,universal_class)) )).

%--------------------------------------------------------------------------
