%------------------------------------------------------------------------------
% File     : SET837-2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Set Theory
% Problem  : Problem about set theory
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.50 v3.3.0, 0.57 v3.2.0
% Syntax   : Number of clauses     :   13 (   5 non-Horn;   0 unit;  10 RR)
%            Number of atoms       :   37 (   7 equality)
%            Maximal clause size   :    4 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-3 arity)
%            Number of functors    :    8 (   5 constant; 0-3 arity)
%            Number of variables   :   56 (  49 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( v_X = c_union(v_Y,v_Z,t_a)
    | c_lessequals(v_Y,v_X,tc_set(t_a)) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( v_X = c_union(v_Y,v_Z,t_a)
    | c_lessequals(v_Z,v_X,tc_set(t_a)) )).

cnf(cls_conjecture_2,negated_conjecture,
    ( c_lessequals(v_Y,v_x,tc_set(t_a))
    | ~ c_lessequals(v_Z,v_X,tc_set(t_a))
    | ~ c_lessequals(v_Y,v_X,tc_set(t_a))
    | v_X != c_union(v_Y,v_Z,t_a) )).

cnf(cls_conjecture_3,negated_conjecture,
    ( c_lessequals(v_Z,v_x,tc_set(t_a))
    | ~ c_lessequals(v_Z,v_X,tc_set(t_a))
    | ~ c_lessequals(v_Y,v_X,tc_set(t_a))
    | v_X != c_union(v_Y,v_Z,t_a) )).

cnf(cls_conjecture_4,negated_conjecture,
    ( ~ c_lessequals(v_X,v_x,tc_set(t_a))
    | ~ c_lessequals(v_Z,v_X,tc_set(t_a))
    | ~ c_lessequals(v_Y,v_X,tc_set(t_a))
    | v_X != c_union(v_Y,v_Z,t_a) )).

cnf(cls_conjecture_5,negated_conjecture,
    ( v_X = c_union(v_Y,v_Z,t_a)
    | c_lessequals(v_X,V_U,tc_set(t_a))
    | ~ c_lessequals(v_Z,V_U,tc_set(t_a))
    | ~ c_lessequals(v_Y,V_U,tc_set(t_a)) )).

cnf(cls_Set_OUnCI_0,axiom,
    ( ~ c_in(V_c,V_B,T_a)
    | c_in(V_c,c_union(V_A,V_B,T_a),T_a) )).

cnf(cls_Set_OUnCI_1,axiom,
    ( ~ c_in(V_c,V_A,T_a)
    | c_in(V_c,c_union(V_A,V_B,T_a),T_a) )).

cnf(cls_Set_OUnE_0,axiom,
    ( ~ c_in(V_c,c_union(V_A,V_B,T_a),T_a)
    | c_in(V_c,V_B,T_a)
    | c_in(V_c,V_A,T_a) )).

cnf(cls_Set_OsubsetD_0,axiom,
    ( ~ c_in(V_c,V_A,T_a)
    | ~ c_lessequals(V_A,V_B,tc_set(T_a))
    | c_in(V_c,V_B,T_a) )).

cnf(cls_Set_OsubsetI_0,axiom,
    ( c_in(c_Main_OsubsetI__1(V_A,V_B,T_a),V_A,T_a)
    | c_lessequals(V_A,V_B,tc_set(T_a)) )).

cnf(cls_Set_OsubsetI_1,axiom,
    ( ~ c_in(c_Main_OsubsetI__1(V_A,V_B,T_a),V_B,T_a)
    | c_lessequals(V_A,V_B,tc_set(T_a)) )).

cnf(cls_Set_Osubset__antisym_0,axiom,
    ( ~ c_lessequals(V_B,V_A,tc_set(T_a))
    | ~ c_lessequals(V_A,V_B,tc_set(T_a))
    | V_A = V_B )).

%------------------------------------------------------------------------------
