%------------------------------------------------------------------------------
% File     : SEU168+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Set theory
% Problem  : MPTP bushy problem t136_zfmisc_1
% Version  : [Urb07] axioms : Especial.
% English  :

% Refs     : [Ban01] Bancerek et al. (2001), On the Characterizations of Co
%            [Urb07] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb07]
% Names    : bushy-t136_zfmisc_1 [Urb07]

% Status   : Theorem
% Rating   : 0.74 v3.3.0
% Syntax   : Number of formulae    :    7 (   2 unit)
%            Number of atoms       :   30 (   1 equality)
%            Maximal formula depth :   14 (   7 average)
%            Number of connectives :   32 (   9 ~  ;   0  |;  14  &)
%                                         (   3 <=>;   6 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   1 propositional; 0-2 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :   24 (   1 singleton;  22 !;   2 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(d1_zfmisc_1,axiom,(
    ! [A,B] : 
      ( B = powerset(A)
    <=> ! [C] : 
          ( in(C,B)
        <=> subset(C,A) ) ) )).

fof(d3_tarski,axiom,(
    ! [A,B] : 
      ( subset(A,B)
    <=> ! [C] : 
          ( in(C,A)
         => in(C,B) ) ) )).

fof(dt_k1_zfmisc_1,axiom,(
    $true )).

fof(reflexivity_r1_tarski,axiom,(
    ! [A,B] : subset(A,A) )).

fof(t136_zfmisc_1,conjecture,(
    ! [A] : 
    ? [B] : 
      ( in(A,B)
      & ! [C,D] : 
          ( ( in(C,B)
            & subset(D,C) )
         => in(D,B) )
      & ! [C] : 
          ( in(C,B)
         => in(powerset(C),B) )
      & ! [C] : ~ ( subset(C,B)
          & ~ are_equipotent(C,B)
          & ~ in(C,B) ) ) )).

fof(t9_tarski,axiom,(
    ! [A] : 
    ? [B] : 
      ( in(A,B)
      & ! [C,D] : 
          ( ( in(C,B)
            & subset(D,C) )
         => in(D,B) )
      & ! [C] : ~ ( in(C,B)
          & ! [D] : ~ ( in(D,B)
              & ! [E] : 
                  ( subset(E,C)
                 => in(E,D) ) ) )
      & ! [C] : ~ ( subset(C,B)
          & ~ are_equipotent(C,B)
          & ~ in(C,B) ) ) )).

%------------------------------------------------------------------------------
