%------------------------------------------------------------------------------
% File     : SEU272+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Set theory
% Problem  : MPTP bushy problem s1_xboole_0__e3_38_1__ordinal1
% Version  : [Urb07] axioms : Especial.
% English  :

% Refs     : [Ban01] Bancerek et al. (2001), On the Characterizations of Co
%            [Urb07] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb07]
% Names    : bushy-s1_xboole_0__e3_38_1__ordinal1 [Urb07]

% Status   : Theorem
% Rating   : 0.63 v3.3.0
% Syntax   : Number of formulae    :   14 (   4 unit)
%            Number of atoms       :   52 (   8 equality)
%            Maximal formula depth :   15 (   5 average)
%            Number of connectives :   43 (   5 ~  ;   0  |;  26  &)
%                                         (   2 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   1 propositional; 0-2 arity)
%            Number of functors    :    1 (   0 constant; 1-1 arity)
%            Number of variables   :   28 (   0 singleton;  17 !;  11 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(s1_xboole_0__e8_6__wellord2__1,conjecture,(
    ! [A,B] : 
      ( ordinal(B)
     => ? [C] : 
        ! [D] : 
          ( in(D,C)
        <=> ( in(D,succ(B))
            & ? [E] : 
                ( ordinal(E)
                & D = E
                & in(E,A) ) ) ) ) )).

fof(cc1_funct_1,axiom,(
    ! [A] : 
      ( empty(A)
     => function(A) ) )).

fof(cc2_ordinal1,axiom,(
    ! [A] : 
      ( ( epsilon_transitive(A)
        & epsilon_connected(A) )
     => ordinal(A) ) )).

fof(rc1_ordinal1,axiom,(
    ? [A] : 
      ( epsilon_transitive(A)
      & epsilon_connected(A)
      & ordinal(A) ) )).

fof(cc3_ordinal1,axiom,(
    ! [A] : 
      ( empty(A)
     => ( epsilon_transitive(A)
        & epsilon_connected(A)
        & ordinal(A) ) ) )).

fof(rc3_ordinal1,axiom,(
    ? [A] : 
      ( ~ empty(A)
      & epsilon_transitive(A)
      & epsilon_connected(A)
      & ordinal(A) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(dt_k1_ordinal1,axiom,(
    $true )).

fof(fc1_ordinal1,axiom,(
    ! [A] : ~ empty(succ(A)) )).

fof(cc1_ordinal1,axiom,(
    ! [A] : 
      ( ordinal(A)
     => ( epsilon_transitive(A)
        & epsilon_connected(A) ) ) )).

fof(fc3_ordinal1,axiom,(
    ! [A] : 
      ( ordinal(A)
     => ( ~ empty(succ(A))
        & epsilon_transitive(succ(A))
        & epsilon_connected(succ(A))
        & ordinal(succ(A)) ) ) )).

fof(s1_tarski__e8_6__wellord2__1,axiom,(
    ! [A,B] : 
      ( ordinal(B)
     => ( ! [C,D,E] : 
            ( ( C = D
              & ? [F] : 
                  ( ordinal(F)
                  & D = F
                  & in(F,A) )
              & C = E
              & ? [G] : 
                  ( ordinal(G)
                  & E = G
                  & in(G,A) ) )
           => D = E )
       => ? [C] : 
          ! [D] : 
            ( in(D,C)
          <=> ? [E] : 
                ( in(E,succ(B))
                & E = D
                & ? [H] : 
                    ( ordinal(H)
                    & D = H
                    & in(H,A) ) ) ) ) ) )).

%------------------------------------------------------------------------------
