%------------------------------------------------------------------------------
% File     : SEU281+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Set theory
% Problem  : MPTP bushy problem s1_xboole_0__e4_5_1__funct_1
% Version  : [Urb07] axioms : Especial.
% English  :

% Refs     : [Ban01] Bancerek et al. (2001), On the Characterizations of Co
%            [Urb07] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb07]
% Names    : bushy-s1_xboole_0__e4_5_1__funct_1 [Urb07]

% Status   : Theorem
% Rating   : 0.47 v3.3.0
% Syntax   : Number of formulae    :   15 (   6 unit)
%            Number of atoms       :   47 (  12 equality)
%            Maximal formula depth :   15 (   5 average)
%            Number of connectives :   36 (   4 ~  ;   0  |;  23  &)
%                                         (   2 <=>;   7 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    8 (   1 propositional; 0-2 arity)
%            Number of functors    :    3 (   0 constant; 1-2 arity)
%            Number of variables   :   32 (   0 singleton;  17 !;  15 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(s1_xboole_0__e16_22__wellord2__1,conjecture,(
    ! [A,B] : 
    ? [C] : 
    ! [D] : 
      ( in(D,C)
    <=> ( in(D,cartesian_product2(A,B))
        & ? [E,F] : 
            ( ordered_pair(E,F) = D
            & in(E,A)
            & F = singleton(E) ) ) ) )).

fof(cc1_ordinal1,axiom,(
    ! [A] : 
      ( ordinal(A)
     => ( epsilon_transitive(A)
        & epsilon_connected(A) ) ) )).

fof(cc2_ordinal1,axiom,(
    ! [A] : 
      ( ( epsilon_transitive(A)
        & epsilon_connected(A) )
     => ordinal(A) ) )).

fof(rc1_ordinal1,axiom,(
    ? [A] : 
      ( epsilon_transitive(A)
      & epsilon_connected(A)
      & ordinal(A) ) )).

fof(rc3_ordinal1,axiom,(
    ? [A] : 
      ( ~ empty(A)
      & epsilon_transitive(A)
      & epsilon_connected(A)
      & ordinal(A) ) )).

fof(cc1_funct_1,axiom,(
    ! [A] : 
      ( empty(A)
     => function(A) ) )).

fof(cc3_ordinal1,axiom,(
    ! [A] : 
      ( empty(A)
     => ( epsilon_transitive(A)
        & epsilon_connected(A)
        & ordinal(A) ) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(dt_k1_tarski,axiom,(
    $true )).

fof(dt_k2_zfmisc_1,axiom,(
    $true )).

fof(dt_k4_tarski,axiom,(
    $true )).

fof(fc1_zfmisc_1,axiom,(
    ! [A,B] : ~ empty(ordered_pair(A,B)) )).

fof(s1_tarski__e16_22__wellord2__2,axiom,(
    ! [A,B] : 
      ( ! [C,D,E] : 
          ( ( C = D
            & ? [F,G] : 
                ( ordered_pair(F,G) = D
                & in(F,A)
                & G = singleton(F) )
            & C = E
            & ? [H,I] : 
                ( ordered_pair(H,I) = E
                & in(H,A)
                & I = singleton(H) ) )
         => D = E )
     => ? [C] : 
        ! [D] : 
          ( in(D,C)
        <=> ? [E] : 
              ( in(E,cartesian_product2(A,B))
              & E = D
              & ? [J,K] : 
                  ( ordered_pair(J,K) = D
                  & in(J,A)
                  & K = singleton(J) ) ) ) ) )).

%------------------------------------------------------------------------------
