%------------------------------------------------------------------------------
% File     : SEU364+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Set theory
% Problem  : MPTP bushy problem s1_xboole_0__e2_28_1_1__finset_1
% Version  : [Urb07] axioms : Especial.
% English  :

% Refs     : [Ban01] Bancerek et al. (2001), On the Characterizations of Co
%            [Urb07] Urban (2006), Email to G. Sutcliffe
% Source   : [Urb07]
% Names    : bushy-s1_xboole_0__e2_28_1_1__finset_1 [Urb07]

% Status   : Theorem
% Rating   : 0.53 v3.3.0
% Syntax   : Number of formulae    :   21 (   7 unit)
%            Number of atoms       :   76 (   8 equality)
%            Maximal formula depth :   18 (   5 average)
%            Number of connectives :   72 (  17 ~  ;   0  |;  39  &)
%                                         (   2 <=>;  14 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   1 propositional; 0-3 arity)
%            Number of functors    :    2 (   0 constant; 1-1 arity)
%            Number of variables   :   44 (   0 singleton;  24 !;  20 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : Translated by MPTP 0.2 from the original problem in the Mizar
%            library, www.mizar.org
%------------------------------------------------------------------------------
fof(s1_xboole_0__e11_2_1__waybel_0__1,conjecture,(
    ! [A,B,C] : 
      ( ( ~ empty_carrier(A)
        & transitive_relstr(A)
        & rel_str(A)
        & element(B,powerset(the_carrier(A)))
        & finite(C)
        & element(C,powerset(B)) )
     => ? [D] : 
        ! [E] : 
          ( in(E,D)
        <=> ( in(E,powerset(C))
            & ? [F] : 
                ( F = E
                & ? [G] : 
                    ( element(G,the_carrier(A))
                    & in(G,B)
                    & relstr_set_smaller(A,F,G) ) ) ) ) ) )).

fof(dt_l1_struct_0,axiom,(
    $true )).

fof(rc3_struct_0,axiom,(
    ? [A] : 
      ( one_sorted_str(A)
      & ~ empty_carrier(A) ) )).

fof(fc1_struct_0,axiom,(
    ! [A] : 
      ( ( ~ empty_carrier(A)
        & one_sorted_str(A) )
     => ~ empty(the_carrier(A)) ) )).

fof(rc5_struct_0,axiom,(
    ! [A] : 
      ( ( ~ empty_carrier(A)
        & one_sorted_str(A) )
     => ? [B] : 
          ( element(B,powerset(the_carrier(A)))
          & ~ empty(B) ) ) )).

fof(rc1_finset_1,axiom,(
    ? [A] : 
      ( ~ empty(A)
      & finite(A) ) )).

fof(cc1_finset_1,axiom,(
    ! [A] : 
      ( empty(A)
     => finite(A) ) )).

fof(rc3_finset_1,axiom,(
    ! [A] : 
      ( ~ empty(A)
     => ? [B] : 
          ( element(B,powerset(A))
          & ~ empty(B)
          & finite(B) ) ) )).

fof(rc4_finset_1,axiom,(
    ! [A] : 
      ( ~ empty(A)
     => ? [B] : 
          ( element(B,powerset(A))
          & ~ empty(B)
          & finite(B) ) ) )).

fof(rc1_subset_1,axiom,(
    ! [A] : 
      ( ~ empty(A)
     => ? [B] : 
          ( element(B,powerset(A))
          & ~ empty(B) ) ) )).

fof(rc2_subset_1,axiom,(
    ! [A] : 
    ? [B] : 
      ( element(B,powerset(A))
      & empty(B) ) )).

fof(rc1_xboole_0,axiom,(
    ? [A] : empty(A) )).

fof(rc2_xboole_0,axiom,(
    ? [A] : ~ empty(A) )).

fof(antisymmetry_r2_hidden,axiom,(
    ! [A,B] : 
      ( in(A,B)
     => ~ in(B,A) ) )).

fof(dt_k1_zfmisc_1,axiom,(
    $true )).

fof(dt_l1_orders_2,axiom,(
    ! [A] : 
      ( rel_str(A)
     => one_sorted_str(A) ) )).

fof(dt_m1_subset_1,axiom,(
    $true )).

fof(dt_u1_struct_0,axiom,(
    $true )).

fof(cc2_finset_1,axiom,(
    ! [A] : 
      ( finite(A)
     => ! [B] : 
          ( element(B,powerset(A))
         => finite(B) ) ) )).

fof(fc1_subset_1,axiom,(
    ! [A] : ~ empty(powerset(A)) )).

fof(s1_tarski__e11_2_1__waybel_0__1,axiom,(
    ! [A,B,C] : 
      ( ( ~ empty_carrier(A)
        & transitive_relstr(A)
        & rel_str(A)
        & element(B,powerset(the_carrier(A)))
        & finite(C)
        & element(C,powerset(B)) )
     => ( ! [D,E,F] : 
            ( ( D = E
              & ? [G] : 
                  ( G = E
                  & ? [H] : 
                      ( element(H,the_carrier(A))
                      & in(H,B)
                      & relstr_set_smaller(A,G,H) ) )
              & D = F
              & ? [I] : 
                  ( I = F
                  & ? [J] : 
                      ( element(J,the_carrier(A))
                      & in(J,B)
                      & relstr_set_smaller(A,I,J) ) ) )
           => E = F )
       => ? [D] : 
          ! [E] : 
            ( in(E,D)
          <=> ? [F] : 
                ( in(F,powerset(C))
                & F = E
                & ? [K] : 
                    ( K = E
                    & ? [L] : 
                        ( element(L,the_carrier(A))
                        & in(L,B)
                        & relstr_set_smaller(A,K,L) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
