%--------------------------------------------------------------------------
% File     : SWC153-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_pst_cyc_sorted_x_pst_cyc_sorted
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.58 v3.3.0, 0.50 v3.2.0, 0.62 v3.1.0, 0.45 v2.7.0, 0.67 v2.5.0, 0.78 v2.4.0
% Syntax   : Number of clauses     :  204 (  33 non-Horn;  67 unit; 161 RR)
%            Number of atoms       :  652 ( 104 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :   59 (  13 constant; 0-2 arity)
%            Number of variables   :  343 (  49 singleton)
%            Maximal term depth    :    6 (   1 average)

% Comments : Created by CNF conversion from SWC153+1
%--------------------------------------------------------------------------
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
%--------------------------------------------------------------------------
cnf(co1_1,negated_conjecture,
    ( ssList(sk1) )).

cnf(co1_2,negated_conjecture,
    ( ssList(sk2) )).

cnf(co1_3,negated_conjecture,
    ( ssList(sk3) )).

cnf(co1_4,negated_conjecture,
    ( ssList(sk4) )).

cnf(co1_5,negated_conjecture,
    ( sk4 = sk2 )).

cnf(co1_6,negated_conjecture,
    ( sk3 = sk1 )).

cnf(co1_7,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk3
    | ~ leq(B,A)
    | leq(A,B) )).

cnf(co1_8,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk3
    | ~ leq(B,A)
    | ~ ssItem(F)
    | ~ memberP(D,F)
    | leq(A,F) )).

cnf(co1_9,negated_conjecture,
    ( ~ ssItem(A)
    | ~ ssItem(B)
    | ~ ssList(C)
    | ~ ssList(D)
    | ~ ssList(E)
    | app(app(app(app(C,cons(A,nil)),D),cons(B,nil)),E) != sk3
    | ~ leq(B,A)
    | ~ ssItem(F)
    | ~ memberP(D,F)
    | leq(F,B) )).

cnf(co1_10,negated_conjecture,
    ( ssItem(sk5) )).

cnf(co1_11,negated_conjecture,
    ( ssItem(sk6) )).

cnf(co1_12,negated_conjecture,
    ( ssList(sk7) )).

cnf(co1_13,negated_conjecture,
    ( ssList(sk8) )).

cnf(co1_14,negated_conjecture,
    ( ssList(sk9) )).

cnf(co1_15,negated_conjecture,
    ( app(app(app(app(sk7,cons(sk5,nil)),sk8),cons(sk6,nil)),sk9) = sk1 )).

cnf(co1_16,negated_conjecture,
    ( leq(sk6,sk5) )).

cnf(co1_17,negated_conjecture,
    ( ssItem(sk10)
    | ~ leq(sk5,sk6) )).

cnf(co1_18,negated_conjecture,
    ( memberP(sk8,sk10)
    | ~ leq(sk5,sk6) )).

cnf(co1_19,negated_conjecture,
    ( ~ leq(sk10,sk6)
    | ~ leq(sk5,sk10)
    | ~ leq(sk5,sk6) )).

%--------------------------------------------------------------------------
