%--------------------------------------------------------------------------
% File     : SWV019-1 : TPTP v3.3.0. Released v2.4.0.
% Domain   : Software Verification
% Problem  : Maximal array element
% Version  : [Ver93] axioms : Incomplete.
% English  : 

% Refs     : [Ver93] Veroff (1993), Email to G. Sutcliffe
% Source   : [Ver93]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v3.3.0, 0.07 v3.2.0, 0.08 v3.1.0, 0.09 v2.7.0, 0.08 v2.6.0, 0.00 v2.4.0
% Syntax   : Number of clauses     :   10 (   2 non-Horn;   5 unit;   8 RR)
%            Number of atoms       :   22 (   2 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   6 constant; 0-2 arity)
%            Number of variables   :    7 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : [Ver93] says "Only the clauses needed for the proof are included.
%            What makes the problem interesting/challenging from a theorem 
%            proving perspective is the addition of standard sets of axioms 
%            (that don't participate in the proof, but sure get in the way 
%            of finding the proof).
%--------------------------------------------------------------------------
cnf(in_bounds,axiom,
    ( less_than(X1,lower_bound)
    | less_than(upper_bound,X1)
    | in_array_bounds(array,X1) )).

cnf(predecessor_less,axiom,
    ( ~ less_than(successor(X),successor(Y))
    | less_than(X,Y) )).

cnf(transitivity_of_less,axiom,
    ( ~ less_than(X,Y)
    | ~ less_than(Y,Z)
    | less_than(X,Z) )).

cnf(successor_greater,axiom,
    ( less_than(X,successor(X)) )).

cnf(this_is_maximal,axiom,
    ( ~ in_array_bounds(array,index_of_maximal)
    | maximal_value = array_value_at(array,index_of_maximal) )).

cnf(maximal_before_somewhere,axiom,
    ( less_than(index_of_maximal,an_index) )).

cnf(somewhere_above_lower_bound,axiom,
    ( ~ less_than(an_index,lower_bound) )).

cnf(somewhere_below_upper_bound,axiom,
    ( ~ less_than(upper_bound,an_index) )).

cnf(maximal_above_lower_bound,axiom,
    ( ~ less_than(index_of_maximal,lower_bound) )).

cnf(prove_this,negated_conjecture,
    ( ~ in_array_bounds(array,an_index)
    | less_than(successor(an_index),lower_bound)
    | less_than(successor(upper_bound),successor(an_index))
    | less_than(index_of_maximal,lower_bound)
    | ~ less_than(index_of_maximal,successor(an_index))
    | ~ in_array_bounds(array,index_of_maximal)
    | maximal_value != array_value_at(array,index_of_maximal) )).

%--------------------------------------------------------------------------
