%--------------------------------------------------------------------------
% File     : SWV021-1 : TPTP v3.3.0. Released v2.7.0.
% Domain   : Software Verification
% Problem  : Show that the add function is commutative.
% Version  : [Cla03] axioms : Especial.
% English  : A proof obligation formulated as a satisfiability problem.
%            Given the definition of "add" on successor-naturals, show
%            that no two terms t1 and t2 can be found such that
%            add(t1,t2) /= add(t2,t1). In other words, show that adding
%            the negation of that as a clause is still consistent.

% Refs     : [Cla03] Claessen (2003), Email to G. Sutcliffe
% Source   : [Cla03]
% Names    :

% Status   : Satisfiable
% Rating   : 0.75 v3.3.0, 0.67 v3.2.0, 0.80 v3.1.0, 0.67 v2.7.0
% Syntax   : Number of clauses     :    5 (   0 non-Horn;   4 unit;   2 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   1 constant; 0-2 arity)
%            Number of variables   :    8 (   1 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(zero_is_not_s,axiom,
    (  n0 != s(X) )).

cnf(successor_is_injective,axiom,
    ( s(X) != s(Y)
    | X = Y )).

cnf(definition_add_0,axiom,
    ( add(n0,Y) = Y )).

cnf(definition_add_s,axiom,
    ( add(s(X),Y) = s(add(X,Y)) )).

cnf(consistency_of_add_commutative,negated_conjecture,
    ( add(X,Y) = add(Y,X) )).

%--------------------------------------------------------------------------
