%------------------------------------------------------------------------------
% File     : SWV233+1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Protocol attack problem
% Version  : Especial.
% English  : 

% Refs     : 
% Source   : [TPTP]
% Names    : 

% Status   : Theorem
% Rating   : 0.74 v3.3.0, 0.79 v3.2.0
% Syntax   : Number of formulae    :   19 (  10 unit)
%            Number of atoms       :   57 (  12 equality)
%            Maximal formula depth :   14 (   4 average)
%            Number of connectives :   38 (   0 ~  ;   0  |;  27  &)
%                                         (   0 <=>;  11 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   1 propositional; 0-2 arity)
%            Number of functors    :   26 (   9 constant; 0-2 arity)
%            Number of variables   :   33 (   0 singleton;  33 !;   0 ?)
%            Maximal term depth    :    6 (   2 average)

% Comments : Zhitomirskaj emailed this to the TPTP, but the email is lost.
%------------------------------------------------------------------------------
%----Asymmetrical encryption 
fof(encrypt_equation,axiom,(
    ! [E1,E2] : 
      ( ( knows(encrypt(E1,E2))
        & knows(inverse(E2)) )
     => knows(E1) ) )).

%----Symmetrical encryption 
fof(symmetric_encrypt_equation,axiom,(
    ! [E1,E2] : 
      ( ( knows(symmetric_encrypt(E1,E2))
        & knows(E2) )
     => knows(E1) ) )).

%----Signature 
fof(sign_equation,axiom,(
    ! [E,K] : 
      ( ( knows(sign(E,inverse(K)))
        & knows(K) )
     => knows(E) ) )).

%----Basic relations on knowledge where conc, enc, symenc and sign are included
fof(construct_message_1,axiom,(
    ! [E1,E2] : 
      ( ( knows(E1)
        & knows(E2) )
     => ( knows(concatenate(E1,E2))
        & knows(encrypt(E1,E2))
        & knows(symmetric_encrypt(E1,E2))
        & knows(decrypt(E1,E2))
        & knows(symmetric_decrypt(E1,E2))
        & knows(extract(E1,E2))
        & knows(sign(E1,E2)) ) ) )).

fof(construct_message_2,axiom,(
    ! [E1,E2] : 
      ( knows(concatenate(E1,E2))
     => ( knows(E1)
        & knows(E2) ) ) )).

%----Basic relations on knowledge where head, tail and hash are included 
fof(construct_message_3,axiom,(
    ! [E] : 
      ( knows(E)
     => ( knows(head(E))
        & knows(tail(E))
        & knows(hash(E)) ) ) )).

%----Decryption, signature verifikation 
fof(decrypt_axiom,axiom,(
    ! [E,K] : decrypt(encrypt(E,K),inverse(K)) = E )).

fof(symmetric_decrypt_axiom,axiom,(
    ! [E,K] : symmetric_decrypt(symmetric_encrypt(E,K),K) = E )).

fof(sign_axiom,axiom,(
    ! [E,K] : extract(sign(E,inverse(K)),K) = E )).

%----head, tail, first, second, third, fourth 
fof(head_axiom,axiom,(
    ! [X,Y] : head(concatenate(X,Y)) = X )).

fof(tail_axiom,axiom,(
    ! [X,Y] : tail(concatenate(X,Y)) = Y )).

fof(first_axiom,axiom,(
    ! [X] : first(X) = head(X) )).

fof(second_axiom,axiom,(
    ! [X] : second(X) = head(tail(X)) )).

fof(third_axiom,axiom,(
    ! [X] : third(X) = head(tail(tail(X))) )).

fof(fourth_axiom,axiom,(
    ! [X] : fourth(X) = head(tail(tail(tail(X)))) )).

%----mac 
fof(symmac_axiom,axiom,(
    ! [X,Y] : 
      ( ( knows(X)
        & knows(Y) )
     => knows(mac(X,Y)) ) )).

%----Attackers initial knowledge 
fof(previous_knowledge,axiom,
    ( knows(k_ca)
    & knows(inverse(k_a))
    & knows(k_a) )).

%----Main protocol specification 
fof(protocol,axiom,(
    ! [Init_1,Init_2,Init_3,Resp_1,Resp_2] : 
      ( knows(concatenate(n,concatenate(k_c,sign(concatenate(c,concatenate(k_c,eol)),inverse(k_c)))))
      & ( ( knows(Resp_1)
          & knows(Resp_2)
          & first(extract(Resp_2,k_ca)) = s
          & second(extract(decrypt(Resp_1,inverse(k_c)),second(extract(Resp_2,k_ca)))) = n )
       => knows(symmetric_encrypt(secret,first(extract(decrypt(Resp_1,inverse(k_c)),second(extract(Resp_2,k_ca)))))) )
      & ( ( knows(Init_1)
          & knows(Init_2)
          & knows(Init_3)
          & second(extract(Init_3,Init_2)) = Init_2 )
       => knows(concatenate(encrypt(sign(concatenate(kgen(Init_2),concatenate(Init_1,eol)),inverse(k_s)),Init_2),sign(concatenate(s,concatenate(k_s,eol)),inverse(k_ca)))) ) ) )).

%----Conjecture 
fof(attack,conjecture,(
    knows(secret) )).

%------------------------------------------------------------------------------
