%------------------------------------------------------------------------------
% File     : SWV243-1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Message__analz_synth [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.75 v3.3.0, 0.71 v3.2.0
% Syntax   : Number of clauses     : 2826 ( 257 non-Horn; 697 unit;2014 RR)
%            Number of atoms       : 6143 (1353 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   87 (   0 propositional; 1-3 arity)
%            Number of functors    :  250 (  49 constant; 0-18 arity)
%            Number of variables   : 5865 (1188 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV005-1.ax').
include('Axioms/SWV005-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Message_Oanalz__analz__Un_0,axiom,
    ( c_Message_Oanalz(c_union(c_Message_Oanalz(V_G),V_H,tc_Message_Omsg)) = c_Message_Oanalz(c_union(V_G,V_H,tc_Message_Omsg)) )).

cnf(cls_Message_Oanalz__synth__Un_0,axiom,
    ( c_Message_Oanalz(c_union(c_Message_Osynth(V_G),V_H,tc_Message_Omsg)) = c_union(c_Message_Oanalz(c_union(V_G,V_H,tc_Message_Omsg)),c_Message_Osynth(V_G),tc_Message_Omsg) )).

cnf(cls_Message_Oparts__synth_0,axiom,
    ( c_Message_Oparts(c_Message_Osynth(V_H)) = c_union(c_Message_Oparts(V_H),c_Message_Osynth(V_H),tc_Message_Omsg) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( c_Message_Oanalz(c_Message_Osynth(v_H)) != c_union(c_Message_Oanalz(v_H),c_Message_Osynth(v_H),tc_Message_Omsg) )).

%------------------------------------------------------------------------------
