%------------------------------------------------------------------------------
% File     : SWV262-1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Message__parts_insert_two [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.58 v3.3.0, 0.57 v3.2.0
% Syntax   : Number of clauses     : 2775 ( 248 non-Horn; 677 unit;1985 RR)
%            Number of atoms       : 6051 (1331 equality)
%            Maximal clause size   :    7 (   2 average)
%            Number of predicates  :   87 (   0 propositional; 1-3 arity)
%            Number of functors    :  250 (  51 constant; 0-18 arity)
%            Number of variables   : 5757 (1183 singleton)
%            Maximal term depth    :    8 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV005-0.ax').
include('Axioms/MSC001-1.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Message_Oparts_OBody__dest_0,axiom,
    ( ~ c_in(c_Message_Omsg_OCrypt(V_K,V_X),c_Message_Oparts(V_H),tc_Message_Omsg)
    | c_in(V_X,c_Message_Oparts(V_H),tc_Message_Omsg) )).

cnf(cls_Message_Oparts__insert_0,axiom,
    ( c_Message_Oparts(c_insert(V_X,V_H,tc_Message_Omsg)) = c_union(c_Message_Oparts(c_insert(V_X,c_emptyset,tc_Message_Omsg)),c_Message_Oparts(V_H),tc_Message_Omsg) )).

cnf(cls_Set_OUn__assoc_0,axiom,
    ( c_union(c_union(V_A,V_B,T_a),V_C,T_a) = c_union(V_A,c_union(V_B,V_C,T_a),T_a) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( c_Message_Oparts(c_insert(v_X,c_insert(v_Y,v_H,tc_Message_Omsg),tc_Message_Omsg)) != c_union(c_union(c_Message_Oparts(c_insert(v_X,c_emptyset,tc_Message_Omsg)),c_Message_Oparts(c_insert(v_Y,c_emptyset,tc_Message_Omsg)),tc_Message_Omsg),c_Message_Oparts(v_H),tc_Message_Omsg) )).

%------------------------------------------------------------------------------
