%------------------------------------------------------------------------------
% File     : SWV262-2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.12 v3.3.0, 0.14 v3.2.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   4 unit;   1 RR)
%            Number of atoms       :    4 (   4 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-3 arity)
%            Number of variables   :    8 (   1 singleton)
%            Maximal term depth    :    5 (   3 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( c_Message_Oparts(c_insert(v_X,c_insert(v_Y,v_H,tc_Message_Omsg),tc_Message_Omsg)) != c_union(c_union(c_Message_Oparts(c_insert(v_X,c_emptyset,tc_Message_Omsg)),c_Message_Oparts(c_insert(v_Y,c_emptyset,tc_Message_Omsg)),tc_Message_Omsg),c_Message_Oparts(v_H),tc_Message_Omsg) )).

cnf(cls_Message_Oparts__Un_0,axiom,
    ( c_Message_Oparts(c_union(V_G,V_H,tc_Message_Omsg)) = c_union(c_Message_Oparts(V_G),c_Message_Oparts(V_H),tc_Message_Omsg) )).

cnf(cls_Set_OUn__empty__left_0,axiom,
    ( c_union(c_emptyset,V_y,T_a) = V_y )).

cnf(cls_Set_OUn__insert__left_0,axiom,
    ( c_union(c_insert(V_a,V_B,T_a),V_C,T_a) = c_insert(V_a,c_union(V_B,V_C,T_a),T_a) )).

%------------------------------------------------------------------------------
