%------------------------------------------------------------------------------
% File     : SWV267-2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for messages
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.00 v3.2.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   3 unit;   3 RR)
%            Number of atoms       :    6 (   0 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    5 (   3 constant; 0-1 arity)
%            Number of variables   :   10 (   9 singleton)
%            Maximal term depth    :    2 (   2 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_0,negated_conjecture,
    ( c_lessequals(c_Message_Oparts(v_G),c_Message_Oparts(v_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( ~ c_lessequals(v_G,c_Message_Oparts(v_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_Message_Oparts__increasing_0,axiom,
    ( c_lessequals(V_H,c_Message_Oparts(V_H),tc_set(tc_Message_Omsg)) )).

cnf(cls_Set_Osubset__trans_0,axiom,
    ( ~ c_lessequals(V_B,V_C,tc_set(T_a))
    | ~ c_lessequals(V_A,V_B,tc_set(T_a))
    | c_lessequals(V_A,V_C,tc_set(T_a)) )).

%------------------------------------------------------------------------------
