%------------------------------------------------------------------------------
% File     : SWV284-1 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for shared
% Version  : [Pau06] axioms : Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : Shared__Nonce_supply_lemma_1 [Pau06]

% Status   : Unsatisfiable
% Rating   : 0.58 v3.3.0, 0.71 v3.2.0
% Syntax   : Number of clauses     : 1448 (  35 non-Horn; 251 unit;1353 RR)
%            Number of atoms       : 2717 ( 267 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :   82 (   0 propositional; 1-3 arity)
%            Number of functors    :  149 (  25 constant; 0-6 arity)
%            Number of variables   : 2160 ( 336 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found.
%------------------------------------------------------------------------------
include('Axioms/SWV006-0.ax').
include('Axioms/MSC001-2.ax').
include('Axioms/MSC001-0.ax').
%------------------------------------------------------------------------------
cnf(cls_Message_Omsg__Nonce__supply_0,axiom,
    ( ~ c_in(c_Message_Omsg_ONonce(V_U),c_Message_Oparts(c_insert(V_msg,c_emptyset,tc_Message_Omsg)),tc_Message_Omsg)
    | ~ c_lessequals(v_sko__upX(V_msg),V_U,tc_nat) )).

cnf(cls_Nat_Oadd__leE_0,axiom,
    ( ~ c_lessequals(c_plus(V_m,V_k,tc_nat),V_n,tc_nat)
    | c_lessequals(V_k,V_n,tc_nat) )).

cnf(cls_Nat_Oadd__leE_1,axiom,
    ( ~ c_lessequals(c_plus(V_m,V_k,tc_nat),V_n,tc_nat)
    | c_lessequals(V_m,V_n,tc_nat) )).

cnf(cls_Shared_ONonce__notin__initState__iff1_0,axiom,
    ( ~ c_in(c_Message_Omsg_ONonce(V_N),c_Message_Oparts(c_Event_OinitState(V_B)),tc_Message_Omsg) )).

cnf(cls_Shared_OSpy__knows__Spy__bad_0,axiom,
    ( ~ c_in(V_A,c_Event_Obad,tc_Message_Oagent)
    | c_in(c_Message_Omsg_OKey(c_Shared_OshrK(V_A)),c_Event_Oknows(c_Message_Oagent_OSpy,V_evs),tc_Message_Omsg) )).

cnf(cls_Shared_O_91_124_AshrK_Ax_A_61_AshrK_Ay_59_Ax_A_61_Ay_A_61_61_62_AP_A_124_93_A_61_61_62_AP_0,axiom,
    ( c_Shared_OshrK(V_x) != c_Shared_OshrK(V_y)
    | V_x = V_y )).

cnf(cls_Shared_Oanalz__Decrypt_H__dest_0,axiom,
    ( ~ c_in(c_Message_Omsg_OCrypt(V_K,V_X),c_Message_Oanalz(V_H),tc_Message_Omsg)
    | ~ c_in(c_Message_Omsg_OKey(V_K),c_Message_Oanalz(V_H),tc_Message_Omsg)
    | c_in(V_X,c_Message_Oanalz(V_H),tc_Message_Omsg) )).

cnf(cls_Shared_OshrK__in__initState_0,axiom,
    ( c_in(c_Message_Omsg_OKey(c_Shared_OshrK(V_A)),c_Event_OinitState(V_A),tc_Message_Omsg) )).

cnf(cls_Shared_OshrK__in__used_0,axiom,
    ( c_in(c_Message_Omsg_OKey(c_Shared_OshrK(V_A)),c_Event_Oused(V_evs),tc_Message_Omsg) )).

cnf(cls_conjecture_0,negated_conjecture,
    ( c_lessequals(V_U,v_x(V_U),tc_nat) )).

cnf(cls_conjecture_1,negated_conjecture,
    ( ~ c_in(c_Message_Omsg_ONonce(V_U),c_Event_Oused(v_list),tc_Message_Omsg)
    | ~ c_lessequals(v_N,V_U,tc_nat) )).

cnf(cls_conjecture_2,negated_conjecture,
    ( c_in(c_Message_Omsg_ONonce(v_x(V_U)),c_Event_Oused(v_list),tc_Message_Omsg)
    | c_in(c_Message_Omsg_ONonce(v_x(V_U)),c_Message_Oparts(c_insert(v_msg,c_emptyset,tc_Message_Omsg)),tc_Message_Omsg) )).

%------------------------------------------------------------------------------
