%------------------------------------------------------------------------------
% File     : SWV317-2 : TPTP v3.3.0. Released v3.2.0.
% Domain   : Software Verification
% Problem  : Cryptographic protocol problem for Otway Rees
% Version  : [Pau06] axioms : Reduced > Especial.
% English  :

% Refs     : [Pau06] Paulson (2006), Email to G. Sutcliffe
% Source   : [Pau06]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.08 v3.3.0, 0.14 v3.2.0
% Syntax   : Number of clauses     :    4 (   1 non-Horn;   3 unit;   3 RR)
%            Number of atoms       :    5 (   1 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    9 (   6 constant; 0-1 arity)
%            Number of variables   :    2 (   2 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The problems in the [Pau06] collection each have very many axioms,
%            of which only a small selection are required for the refutation.
%            The mission is to find those few axioms, after which a refutation
%            can be quite easily found. This version has only the necessary
%            axioms.
%------------------------------------------------------------------------------
cnf(cls_conjecture_1,negated_conjecture,
    ( ~ c_in(c_Message_Omsg_OKey(v_KAB),c_Event_Oused(v_evs3),tc_Message_Omsg) )).

cnf(cls_conjecture_3,negated_conjecture,
    ( ~ c_in(v_A,c_Event_Obad,tc_Message_Oagent) )).

cnf(cls_conjecture_7,negated_conjecture,
    ( c_Public_OshrK(v_A) = v_KAB
    | c_in(v_A,c_Event_Obad,tc_Message_Oagent) )).

cnf(cls_Public_OshrK__in__used_0,axiom,
    ( c_in(c_Message_Omsg_OKey(c_Public_OshrK(V_A)),c_Event_Oused(V_evs),tc_Message_Omsg) )).

%------------------------------------------------------------------------------
