%------------------------------------------------------------------------------
% File     : SWV366+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_I_s induction
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l002 [Pis06]

% Status   : Theorem
% Rating   : 0.32 v3.3.0
% Syntax   : Number of formulae    :   63 (  23 unit)
%            Number of atoms       :  130 (  42 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   83 (  16 ~  ;   4  |;  21  &)
%                                         (  16 <=>;  26 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   26 (   4 constant; 0-3 arity)
%            Number of variables   :  174 (   4 singleton; 171 !;   3 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%------------------------------------------------------------------------------
%----goal: fof(lemma_I_s, conjecture,
%----    (! [U,V,W,X,Y] : (i(triple(U,W,X)) = i(triple(V,W,Y))))).

%----induction step:
fof(l2_co,conjecture,(
    ! [U] :
      ( ! [V,W,X,Y] : i(triple(V,U,X)) = i(triple(W,U,Y))
     => ! [Z,X1,X2,X3,X4,X5] : i(triple(Z,insert_slb(U,pair(X4,X5)),X2)) = i(triple(X1,insert_slb(U,pair(X4,X5)),X3)) ) )).
%------------------------------------------------------------------------------
