%------------------------------------------------------------------------------
% File     : SWV369+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_contains_s_I base
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l005 [Pis06]

% Status   : Theorem
% Rating   : 0.21 v3.3.0
% Syntax   : Number of formulae    :   63 (  23 unit)
%            Number of atoms       :  130 (  40 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   83 (  16 ~  ;   4  |;  21  &)
%                                         (  17 <=>;  25 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   26 (   4 constant; 0-3 arity)
%            Number of variables   :  166 (   4 singleton; 163 !;   3 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%------------------------------------------------------------------------------
%----goal: fof(lemma_contains_s_I,lemma,
%----    (! [U,V,W,X] : (contains_cpq(triple(U,V,W),X) <=>
%----     contains_pq(i(triple(U,V,W)),X)))).

%----base:
fof(l5_co,conjecture,(
    ! [U,V,W] :
      ( contains_cpq(triple(U,create_slb,V),W)
    <=> contains_pq(i(triple(U,create_slb,V)),W) ) )).
%------------------------------------------------------------------------------
