%------------------------------------------------------------------------------
% File     : SWV370+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_contains_s_I induction
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l006 [Pis06]

% Status   : Theorem
% Rating   : 0.63 v3.3.0
% Syntax   : Number of formulae    :   63 (  23 unit)
%            Number of atoms       :  132 (  40 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   85 (  16 ~  ;   4  |;  21  &)
%                                         (  18 <=>;  26 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   26 (   4 constant; 0-3 arity)
%            Number of variables   :  172 (   4 singleton; 169 !;   3 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%------------------------------------------------------------------------------
%----goal: fof(lemma_contains_s_I,lemma,
%----    (! [U,V,W,X] : (contains_cpq(triple(U,V,W),X) <=>
%----     contains_pq(i(triple(U,V,W)),X)))).

%----induction step:
fof(l6_co,conjecture,(
    ! [U] :
      ( ! [V,W,X] :
          ( contains_cpq(triple(V,U,W),X)
        <=> contains_pq(i(triple(V,U,W)),X) )
     => ! [Y,Z,X1,X2,X3] :
          ( contains_cpq(triple(Y,insert_slb(U,pair(X1,X2)),Z),X3)
        <=> contains_pq(i(triple(Y,insert_slb(U,pair(X1,X2)),Z)),X3) ) ) )).
%------------------------------------------------------------------------------
