%------------------------------------------------------------------------------
% File     : SWV372+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_contains_cpq_min_elem
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l008 [Pis06]

% Status   : Theorem
% Rating   : 0.58 v3.3.0
% Syntax   : Number of formulae    :   66 (  23 unit)
%            Number of atoms       :  136 (  40 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   90 (  20 ~  ;   4  |;  21  &)
%                                         (  17 <=>;  28 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   26 (   4 constant; 0-3 arity)
%            Number of variables   :  176 (   4 singleton; 173 !;   3 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%------------------------------------------------------------------------------
%----lemma_contains_s_I (cpq_l005.p, cpq_l006.p)
fof(l8_li56,lemma,(
    ! [U,V,W,X] :
      ( contains_cpq(triple(U,V,W),X)
    <=> contains_pq(i(triple(U,V,W)),X) ) )).

%----lemma_not_contains_min_not_ok (cpq_l009.p)
fof(l8_l9,lemma,(
    ! [U,V,W] :
      ( ~ contains_cpq(triple(U,V,W),findmin_cpq_res(triple(U,V,W)))
     => ~ ok(findmin_cpq_eff(triple(U,V,W))) ) )).

%----lemma_not_ok_not_phi (cpq_l011.p)
fof(l8_lX,lemma,(
    ! [U,V,W] :
      ( ~ ok(triple(U,V,W))
     => ~ phi(triple(U,V,W)) ) )).

%----lemma_contains_cpq_min_elem (conjecture)
fof(l8_co,conjecture,(
    ! [U,V,W] :
      ( phi(findmin_cpq_eff(triple(U,V,W)))
     => contains_pq(i(triple(U,V,W)),findmin_cpq_res(triple(U,V,W))) ) )).
%------------------------------------------------------------------------------
