%------------------------------------------------------------------------------
% File     : SWV374+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_ok_find_min
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l010 [Pis06]

% Status   : Theorem
% Rating   : 0.58 v3.3.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   86 (  30 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   58 (  14 ~  ;   3  |;  14  &)
%                                         (   7 <=>;  20 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   1 propositional; 0-3 arity)
%            Number of functors    :   18 (   3 constant; 0-3 arity)
%            Number of variables   :  120 (   4 singleton; 120 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
%------------------------------------------------------------------------------
%----lemma_ok_find_min (conjecture)
fof(l10_co,conjecture,(
    ! [U,V,W] :
      ( ok(findmin_cpq_eff(triple(U,V,W)))
     => ( V != create_slb
        & contains_slb(V,findmin_pqp_res(U))
        & less_than(lookup_slb(V,findmin_pqp_res(U)),findmin_pqp_res(U)) ) ) )).
%------------------------------------------------------------------------------
