%------------------------------------------------------------------------------
% File     : SWV380+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_not_ok_persistence_induction step 4
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l016 [Pis06]

% Status   : Theorem
% Rating   : 0.68 v3.3.0
% Syntax   : Number of formulae    :   43 (  16 unit)
%            Number of atoms       :   86 (  29 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   60 (  17 ~  ;   3  |;  12  &)
%                                         (   7 <=>;  21 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   1 propositional; 0-3 arity)
%            Number of functors    :   18 (   3 constant; 0-3 arity)
%            Number of variables   :  124 (   4 singleton; 124 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
%------------------------------------------------------------------------------
%----goal: fof(l12_l13, lemma, (! [U,V,W] : (~(ok(triple(U,V,W))) =>
%----     ~(ok(im_succ_cpq(triple(U,V,W))))))).

%----lemma_not_ok_persistence_induction - step2 (cpq_l014.p)
fof(l16_l14,lemma,(
    ! [U,V,W,X] :
      ( ~ ok(triple(U,V,W))
     => ~ ok(remove_cpq(triple(U,V,W),X)) ) )).

%----step4: removemin (conjecture)
fof(l16_co,conjecture,(
    ! [U,V,W] :
      ( ~ ok(triple(U,V,W))
     => ~ ok(removemin_cpq_eff(triple(U,V,W))) ) )).
%------------------------------------------------------------------------------
