%------------------------------------------------------------------------------
% File     : SWV391+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: tmp_not_check_02
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l027 [Pis06]

% Status   : Theorem
% Rating   : 0.74 v3.3.0
% Syntax   : Number of formulae    :   46 (  16 unit)
%            Number of atoms       :   98 (  30 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   65 (  13 ~  ;   4  |;  14  &)
%                                         (   8 <=>;  26 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   1 propositional; 0-3 arity)
%            Number of functors    :   18 (   3 constant; 0-3 arity)
%            Number of variables   :  139 (   4 singleton; 139 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
%------------------------------------------------------------------------------
%----lemma_check_characterization (cpq_l041.p, cpq_l042.p)
fof(l27_li4142,lemma,(
    ! [U,V,W] :
      ( check_cpq(triple(U,V,W))
    <=> ! [X,Y] :
          ( pair_in_list(V,X,Y)
         => less_than(Y,X) ) ) )).

%----tmp_not_check_02_1 (cpq_l028.p, cpq_l029.p)
fof(l27_li2829,lemma,(
    ! [U,V,W] :
      ( pair_in_list(U,V,W)
     => ! [X] :
          ( contains_slb(U,X)
         => ( pair_in_list(remove_slb(U,X),V,W)
            | V = X ) ) ) )).

%----tmp_not_check_02_2 (cpq_l030.p)
fof(l27_l30,lemma,(
    ! [U,V,W,X] :
      ( ( check_cpq(remove_cpq(triple(U,V,W),X))
        & ok(remove_cpq(triple(U,V,W),X)) )
     => ! [Y] :
          ( pair_in_list(V,X,Y)
         => less_than(Y,X) ) ) )).

%----tmp_not_check_02_3 (cpq_l033.p)
fof(l27_l33,lemma,(
    ! [U,V,W,X] :
      ( ok(remove_cpq(triple(U,V,W),X))
     => contains_slb(V,X) ) )).

%----tmp_not_check_02 (conjecture)
fof(l27_co,conjecture,(
    ! [U,V,W,X] :
      ( ( check_cpq(remove_cpq(triple(U,V,W),X))
        & ok(remove_cpq(triple(U,V,W),X)) )
     => check_cpq(triple(U,V,W)) ) )).
%------------------------------------------------------------------------------
