%------------------------------------------------------------------------------
% File     : SWV393+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: tmp_not_check_02_1 step
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l029 [Pis06]

% Status   : Theorem
% Rating   : 0.89 v3.3.0
% Syntax   : Number of formulae    :   19 (   9 unit)
%            Number of atoms       :   42 (  14 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   29 (   6 ~  ;   5  |;   5  &)
%                                         (   3 <=>;  10 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   2 constant; 0-2 arity)
%            Number of variables   :   56 (   0 singleton;  56 !;   0 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
%------------------------------------------------------------------------------
%----goal: fof(l27_li2829, lemma, (! [U,V,W] : (pair_in_list(U,V,W) =>
%----       ! [X] : (contains_slb(U,X) =>
%----             (pair_in_list(remove_slb(U,X),V,W) | (V = X)))))).

%----tmp_not_check_02::step (conjecture)
fof(l29_co,conjecture,(
    ! [U] :
      ( ! [V,W] :
          ( pair_in_list(U,V,W)
         => ! [X] :
              ( contains_slb(U,X)
             => ( pair_in_list(remove_slb(U,X),V,W)
                | V = X ) ) )
     => ! [Y,Z,X1,X2] :
          ( pair_in_list(insert_slb(U,pair(X1,X2)),Y,Z)
         => ! [X1] :
              ( contains_slb(insert_slb(U,pair(X1,X2)),X1)
             => ( pair_in_list(remove_slb(insert_slb(U,pair(X1,X2)),X1),Y,Z)
                | Y = X1 ) ) ) ) )).
%------------------------------------------------------------------------------
