%------------------------------------------------------------------------------
% File     : SWV396+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: tmp_not_check_02_2_1 step
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l032 [Pis06]

% Status   : Theorem
% Rating   : 0.84 v3.3.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   90 (  29 equality)
%            Maximal formula depth :   12 (   5 average)
%            Number of connectives :   61 (  13 ~  ;   3  |;  16  &)
%                                         (   7 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   1 propositional; 0-3 arity)
%            Number of functors    :   18 (   3 constant; 0-3 arity)
%            Number of variables   :  128 (   4 singleton; 128 !;   0 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
%------------------------------------------------------------------------------
%----goal: fof(l30_li3132, lemma, (! [U,V,W,X,Y] : 
%----    ((pair_in_list(V,X,Y) & (strictly_less_than(X,Y) &
%----        ok(remove_cpq(triple(U,V,W),X)))) =>
%----        pair_in_list(remove_slb(V,X),X,Y)))).

%----tmp_not_check_02_2_1::step (conjecture)
fof(l32_co,conjecture,(
    ! [U] :
      ( ! [V,W,X,Y] :
          ( ( pair_in_list(U,X,Y)
            & strictly_less_than(X,Y)
            & ok(remove_cpq(triple(V,U,W),X)) )
         => pair_in_list(remove_slb(U,X),X,Y) )
     => ! [Z,X1,X2,X3,X4,X5] :
          ( ( pair_in_list(insert_slb(U,pair(X4,X5)),X2,X3)
            & strictly_less_than(X2,X3)
            & ok(remove_cpq(triple(Z,insert_slb(U,pair(X4,X5)),X1),X2)) )
         => pair_in_list(remove_slb(insert_slb(U,pair(X4,X5)),X2),X2,X3) ) ) )).
%------------------------------------------------------------------------------
