%------------------------------------------------------------------------------
% File     : SWV406+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_check_characterization step
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l042 [Pis06]

% Status   : Theorem
% Rating   : 0.68 v3.3.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   88 (  29 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   59 (  13 ~  ;   3  |;  12  &)
%                                         (   9 <=>;  22 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   11 (   1 propositional; 0-3 arity)
%            Number of functors    :   18 (   3 constant; 0-3 arity)
%            Number of variables   :  128 (   4 singleton; 128 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
%------------------------------------------------------------------------------
%----goal: fof(l26_li4142, lemma, (! [U,V,W] : (check_cpq(triple(U,V,W)) <=>
%----       ! [X,Y] : (pair_in_list(V,X,Y) => less_than(Y,X))))).

%----lemma_check_characterization::step (conjecture)
fof(l42_co,conjecture,(
    ! [U] :
      ( ! [V,W] :
          ( check_cpq(triple(V,U,W))
        <=> ! [X,Y] :
              ( pair_in_list(U,X,Y)
             => less_than(Y,X) ) )
     => ! [Z,X1,X2,X3] :
          ( check_cpq(triple(Z,insert_slb(U,pair(X2,X3)),X1))
        <=> ! [X4,X5] :
              ( pair_in_list(insert_slb(U,pair(X2,X3)),X4,X5)
             => less_than(X5,X4) ) ) ) )).
%------------------------------------------------------------------------------
