%------------------------------------------------------------------------------
% File     : SWV411+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: lemma_contains_pair step
% Version  : [dNP05] axioms.
% English  :

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq_l047 [Pis06]

% Status   : Theorem
% Rating   : 0.16 v3.3.0
% Syntax   : Number of formulae    :   19 (   9 unit)
%            Number of atoms       :   38 (  12 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   25 (   6 ~  ;   3  |;   5  &)
%                                         (   3 <=>;   8 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-3 arity)
%            Number of functors    :    7 (   2 constant; 0-2 arity)
%            Number of variables   :   54 (   0 singleton;  52 !;   2 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%------------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+2.ax').
%------------------------------------------------------------------------------
%----goal: fof(l45_li4647, lemma, (
%----        ! [U,V] : (contains_slb(U,V) => ? [W] : pair_in_list(U,V,W)))).

%----lemma_contains_pair::step (conjecture)
fof(l47_co,conjecture,(
    ! [U] :
      ( ! [V] :
          ( contains_slb(U,V)
         => ? [W] : pair_in_list(U,V,W) )
     => ! [X,Y,Z] :
          ( contains_slb(insert_slb(U,pair(Y,Z)),X)
         => ? [X1] : pair_in_list(insert_slb(U,pair(Y,Z)),X,X1) ) ) )).
%------------------------------------------------------------------------------
