%--------------------------------------------------------------------------
% File     : SWV417+1 : TPTP v3.3.0. Released v3.3.0.
% Domain   : Software Verification
% Problem  : Priority queue checker: Formula (9)
% Version  : [dNP05] axioms.
% English  : 

% Refs     : [Pis06] Piskac (2006), Email to Geoff Sutcliffe
%          : [dNP05] de Nivelle & Piskac (2005), Verification of an Off-Lin
% Source   : [Pis06]
% Names    : cpq004 [Pis06]

% Status   : Theorem
% Rating   : 0.42 v3.3.0
% Syntax   : Number of formulae    :   64 (  23 unit)
%            Number of atoms       :  134 (  41 equality)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   86 (  16 ~  ;   4  |;  22  &)
%                                         (  16 <=>;  28 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   21 (   1 propositional; 0-3 arity)
%            Number of functors    :   26 (   4 constant; 0-3 arity)
%            Number of variables   :  170 (   4 singleton; 166 !;   4 ?)
%            Maximal term depth    :    5 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms about priority queues and checked priority queues
include('Axioms/SWV007+0.ax').
include('Axioms/SWV007+1.ax').
include('Axioms/SWV007+2.ax').
include('Axioms/SWV007+3.ax').
include('Axioms/SWV007+4.ax').
%--------------------------------------------------------------------------
%----lemma_pi_min_elem (cpq_l007.p)
fof(main4_l7,lemma,(
    ! [U,V,W] : 
      ( phi(findmin_cpq_eff(triple(U,V,W)))
     => pi_sharp_find_min(i(triple(U,V,W)),findmin_cpq_res(triple(U,V,W))) ) )).

fof(co4,conjecture,(
    ! [U,V,W] : 
      ( pi_find_min(triple(U,V,W))
     => ( phi(findmin_cpq_eff(triple(U,V,W)))
       => ? [X] : 
            ( pi_sharp_find_min(i(triple(U,V,W)),X)
            & findmin_cpq_res(triple(U,V,W)) = findmin_pq_res(i(triple(U,V,W)),X) ) ) ) )).

%--------------------------------------------------------------------------
